# ncurses 5.9 - patch  - Thomas E. Dickey
#
# ------------------------------------------------------------------------------
#
# Ncurses 5.9 is at
# 	ftp.gnu.org:/pub/gnu
#
# Patches for ncurses 5.9 are in the subdirectory
# 	ftp://invisible-island.net/ncurses/5.9
#
# ------------------------------------------------------------------------------
# ftp://invisible-island.net/ncurses/5.9/ncurses-5.9-20150103.patch.gz
# patch by Thomas E. Dickey <dickey@invisible-island.net>
# created  Sun Jan  4 01:53:54 UTC 2015
# ------------------------------------------------------------------------------
# COPYING                          |    4 
# NEWS                             |   11 
# VERSION                          |    2 
# aclocal.m4                       |    8 
# configure                        |  862 +++++++++++++++++++------------------
# configure.in                     |    5 
# dist.mk                          |    6 
# ncurses/tinfo/lib_tputs.c        |   27 -
# package/debian-mingw/changelog   |    4 
# package/debian-mingw/copyright   |    4 
# package/debian-mingw64/changelog |    4 
# package/debian-mingw64/copyright |    4 
# package/debian/changelog         |    4 
# package/debian/copyright         |    4 
# package/mingw-ncurses.nsi        |    6 
# package/mingw-ncurses.spec       |    2 
# package/ncurses.map              |    7 
# package/ncurses.spec             |    2 
# package/ncurses.sym              |    6 
# package/ncursest.map             |    7 
# package/ncursest.sym             |    6 
# package/ncursestw.map            |    7 
# package/ncursestw.sym            |    6 
# package/ncursesw.map             |    7 
# package/ncursesw.sym             |    6 
# 25 files changed, 548 insertions(+), 463 deletions(-)
# ------------------------------------------------------------------------------
Index: COPYING
Prereq:  1.2 
--- ncurses-5.9-20141227+/COPYING	2014-01-18 23:59:29.000000000 +0000
+++ ncurses-5.9-20150103/COPYING	2015-01-03 20:12:01.000000000 +0000
@@ -1,4 +1,4 @@
-Copyright (c) 1998-2013,2014 Free Software Foundation, Inc.
+Copyright (c) 1998-2014,2015 Free Software Foundation, Inc.
 
 Permission is hereby granted, free of charge, to any person obtaining a
 copy of this software and associated documentation files (the
@@ -25,4 +25,4 @@
 authorization.
 
 -- vile:txtmode fc=72
--- $Id: COPYING,v 1.2 2014/01/18 23:59:29 tom Exp $
+-- $Id: COPYING,v 1.3 2015/01/03 20:12:01 tom Exp $
Index: NEWS
Prereq:  1.2322 
--- ncurses-5.9-20141227+/NEWS	2014-12-27 17:39:19.000000000 +0000
+++ ncurses-5.9-20150103/NEWS	2015-01-03 20:47:28.000000000 +0000
@@ -1,5 +1,5 @@
 -------------------------------------------------------------------------------
--- Copyright (c) 1998-2013,2014 Free Software Foundation, Inc.               --
+-- Copyright (c) 1998-2014,2015 Free Software Foundation, Inc.               --
 --                                                                           --
 -- Permission is hereby granted, free of charge, to any person obtaining a   --
 -- copy of this software and associated documentation files (the             --
@@ -25,7 +25,7 @@
 -- sale, use or other dealings in this Software without prior written        --
 -- authorization.                                                            --
 -------------------------------------------------------------------------------
--- $Id: NEWS,v 1.2322 2014/12/27 17:39:19 tom Exp $
+-- $Id: NEWS,v 1.2327 2015/01/03 20:47:28 tom Exp $
 -------------------------------------------------------------------------------
 
 This is a log of changes that ncurses has gone through since Zeyd started
@@ -45,6 +45,13 @@
 Changes through 1.9.9e did not credit all contributions;
 it is not possible to add this information.
 
+20150103
+	+ modify_nc_flush() to retry if interrupted (patch by Stian Skjelstad).
+	+ change map files to make _nc_freeall a global, since it may be used
+	  via the Ada95 binding when checking for memory leaks.
+	+ improve sed script used in 20141220 to account for wide-, threaded-
+	  variations in ABI 6.
+
 20141227
 	+ regenerate ".map" files, using step overlooked in 20141213 to use
 	  the same patch-dates across each file to match ncurses.map (report by
Index: VERSION
--- ncurses-5.9-20141227+/VERSION	2014-12-27 16:47:48.000000000 +0000
+++ ncurses-5.9-20150103/VERSION	2015-01-03 13:36:07.000000000 +0000
@@ -1 +1 @@
-5:0:9	5.9	20141227
+5:0:9	5.9	20150103
Index: aclocal.m4
Prereq:  1.725 
--- ncurses-5.9-20141227+/aclocal.m4	2014-12-21 00:18:37.000000000 +0000
+++ ncurses-5.9-20150103/aclocal.m4	2015-01-03 20:48:02.000000000 +0000
@@ -1,5 +1,5 @@
 dnl***************************************************************************
-dnl Copyright (c) 1998-2013,2014 Free Software Foundation, Inc.              *
+dnl Copyright (c) 1998-2014,2015 Free Software Foundation, Inc.              *
 dnl                                                                          *
 dnl Permission is hereby granted, free of charge, to any person obtaining a  *
 dnl copy of this software and associated documentation files (the            *
@@ -28,7 +28,7 @@
 dnl
 dnl Author: Thomas E. Dickey 1995-on
 dnl
-dnl $Id: aclocal.m4,v 1.725 2014/12/21 00:18:37 tom Exp $
+dnl $Id: aclocal.m4,v 1.727 2015/01/03 20:48:02 tom Exp $
 dnl Macros used in NCURSES auto-configuration script.
 dnl
 dnl These macros are maintained separately from NCURSES.  The copyright on
@@ -3182,7 +3182,7 @@
 	AC_SUBST(LIB_PREFIX)
 ])dnl
 dnl ---------------------------------------------------------------------------
-dnl CF_LIB_RULES version: 76 updated: 2014/12/20 19:16:08
+dnl CF_LIB_RULES version: 77 updated: 2015/01/03 11:49:39
 dnl ------------
 dnl Append definitions and rules for the given models to the subdirectory
 dnl Makefiles, and the recursion rule for the top-level Makefile.  If the
@@ -3241,7 +3241,7 @@
 
 # Generated by CF_LIB_RULES
 resulting.map: $UNALTERED_SYMS
-	sed -e "s/NCURSES_/NCURSES${cf_cv_abi_version}_/g" < $UNALTERED_SYMS >\[$]@
+	sed -e "s/NCURSES\\([[WT]]\\+\\)\?_/NCURSES\\1${cf_cv_abi_version}_/g" < $UNALTERED_SYMS >\[$]@
 
 clean::
 	rm -f resulting.map
Index: configure
--- ncurses-5.9-20141227+/configure	2014-12-21 17:41:44.000000000 +0000
+++ ncurses-5.9-20150103/configure	2015-01-03 20:47:00.000000000 +0000
@@ -1,5 +1,5 @@
 #! /bin/sh
-# From configure.in Revision: 1.595 .
+# From configure.in Revision: 1.596 .
 # Guess values for system-dependent variables and create Makefiles.
 # Generated by Autoconf 2.52.20141204.
 #
@@ -17227,14 +17227,66 @@
 
 fi
 
-echo "$as_me:17230: checking for type sigaction_t" >&5
+echo "$as_me:17230: checking for ssize_t" >&5
+echo $ECHO_N "checking for ssize_t... $ECHO_C" >&6
+if test "${ac_cv_type_ssize_t+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  cat >conftest.$ac_ext <<_ACEOF
+#line 17236 "configure"
+#include "confdefs.h"
+$ac_includes_default
+int
+main ()
+{
+if ((ssize_t *) 0)
+  return 0;
+if (sizeof (ssize_t))
+  return 0;
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:17251: \"$ac_compile\"") >&5
+  (eval $ac_compile) 2>&5
+  ac_status=$?
+  echo "$as_me:17254: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+         { ac_try='test -s conftest.$ac_objext'
+  { (eval echo "$as_me:17257: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:17260: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  ac_cv_type_ssize_t=yes
+else
+  echo "$as_me: failed program was:" >&5
+cat conftest.$ac_ext >&5
+ac_cv_type_ssize_t=no
+fi
+rm -f conftest.$ac_objext conftest.$ac_ext
+fi
+echo "$as_me:17270: result: $ac_cv_type_ssize_t" >&5
+echo "${ECHO_T}$ac_cv_type_ssize_t" >&6
+if test $ac_cv_type_ssize_t = yes; then
+  :
+else
+
+cat >>confdefs.h <<EOF
+#define ssize_t int
+EOF
+
+fi
+
+echo "$as_me:17282: checking for type sigaction_t" >&5
 echo $ECHO_N "checking for type sigaction_t... $ECHO_C" >&6
 if test "${cf_cv_type_sigaction+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 17237 "configure"
+#line 17289 "configure"
 #include "confdefs.h"
 
 #include <signal.h>
@@ -17247,16 +17299,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:17250: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:17302: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:17253: \$? = $ac_status" >&5
+  echo "$as_me:17305: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:17256: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17308: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17259: \$? = $ac_status" >&5
+  echo "$as_me:17311: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_type_sigaction=yes
 else
@@ -17267,14 +17319,14 @@
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
 
-echo "$as_me:17270: result: $cf_cv_type_sigaction" >&5
+echo "$as_me:17322: result: $cf_cv_type_sigaction" >&5
 echo "${ECHO_T}$cf_cv_type_sigaction" >&6
 test "$cf_cv_type_sigaction" = yes &&
 cat >>confdefs.h <<\EOF
 #define HAVE_TYPE_SIGACTION 1
 EOF
 
-echo "$as_me:17277: checking declaration of size-change" >&5
+echo "$as_me:17329: checking declaration of size-change" >&5
 echo $ECHO_N "checking declaration of size-change... $ECHO_C" >&6
 if test "${cf_cv_sizechange+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -17289,7 +17341,7 @@
     CPPFLAGS="$cf_save_CPPFLAGS"
     test -n "$cf_opts" && CPPFLAGS="$CPPFLAGS -D$cf_opts"
     cat >conftest.$ac_ext <<_ACEOF
-#line 17292 "configure"
+#line 17344 "configure"
 #include "confdefs.h"
 #include <sys/types.h>
 #ifdef HAVE_TERMIOS_H
@@ -17333,16 +17385,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:17336: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:17388: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:17339: \$? = $ac_status" >&5
+  echo "$as_me:17391: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:17342: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17394: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17345: \$? = $ac_status" >&5
+  echo "$as_me:17397: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_sizechange=yes
 else
@@ -17361,7 +17413,7 @@
 done
 
 fi
-echo "$as_me:17364: result: $cf_cv_sizechange" >&5
+echo "$as_me:17416: result: $cf_cv_sizechange" >&5
 echo "${ECHO_T}$cf_cv_sizechange" >&6
 if test "$cf_cv_sizechange" != no ; then
 
@@ -17379,13 +17431,13 @@
 	esac
 fi
 
-echo "$as_me:17382: checking for memmove" >&5
+echo "$as_me:17434: checking for memmove" >&5
 echo $ECHO_N "checking for memmove... $ECHO_C" >&6
 if test "${ac_cv_func_memmove+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 17388 "configure"
+#line 17440 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char memmove (); below.  */
@@ -17416,16 +17468,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:17419: \"$ac_link\"") >&5
+if { (eval echo "$as_me:17471: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:17422: \$? = $ac_status" >&5
+  echo "$as_me:17474: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:17425: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17477: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17428: \$? = $ac_status" >&5
+  echo "$as_me:17480: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_func_memmove=yes
 else
@@ -17435,19 +17487,19 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:17438: result: $ac_cv_func_memmove" >&5
+echo "$as_me:17490: result: $ac_cv_func_memmove" >&5
 echo "${ECHO_T}$ac_cv_func_memmove" >&6
 if test $ac_cv_func_memmove = yes; then
   :
 else
 
-echo "$as_me:17444: checking for bcopy" >&5
+echo "$as_me:17496: checking for bcopy" >&5
 echo $ECHO_N "checking for bcopy... $ECHO_C" >&6
 if test "${ac_cv_func_bcopy+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 17450 "configure"
+#line 17502 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char bcopy (); below.  */
@@ -17478,16 +17530,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:17481: \"$ac_link\"") >&5
+if { (eval echo "$as_me:17533: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:17484: \$? = $ac_status" >&5
+  echo "$as_me:17536: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:17487: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17539: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17490: \$? = $ac_status" >&5
+  echo "$as_me:17542: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_func_bcopy=yes
 else
@@ -17497,11 +17549,11 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:17500: result: $ac_cv_func_bcopy" >&5
+echo "$as_me:17552: result: $ac_cv_func_bcopy" >&5
 echo "${ECHO_T}$ac_cv_func_bcopy" >&6
 if test $ac_cv_func_bcopy = yes; then
 
-	echo "$as_me:17504: checking if bcopy does overlapping moves" >&5
+	echo "$as_me:17556: checking if bcopy does overlapping moves" >&5
 echo $ECHO_N "checking if bcopy does overlapping moves... $ECHO_C" >&6
 if test "${cf_cv_good_bcopy+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -17511,7 +17563,7 @@
   cf_cv_good_bcopy=unknown
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 17514 "configure"
+#line 17566 "configure"
 #include "confdefs.h"
 
 int main() {
@@ -17525,15 +17577,15 @@
 
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:17528: \"$ac_link\"") >&5
+if { (eval echo "$as_me:17580: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:17531: \$? = $ac_status" >&5
+  echo "$as_me:17583: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:17533: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17585: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17536: \$? = $ac_status" >&5
+  echo "$as_me:17588: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_good_bcopy=yes
 else
@@ -17546,7 +17598,7 @@
 fi
 
 fi
-echo "$as_me:17549: result: $cf_cv_good_bcopy" >&5
+echo "$as_me:17601: result: $cf_cv_good_bcopy" >&5
 echo "${ECHO_T}$cf_cv_good_bcopy" >&6
 
 else
@@ -17569,7 +17621,7 @@
 
 fi
 
-echo "$as_me:17572: checking if poll really works" >&5
+echo "$as_me:17624: checking if poll really works" >&5
 echo $ECHO_N "checking if poll really works... $ECHO_C" >&6
 if test "${cf_cv_working_poll+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -17579,7 +17631,7 @@
   cf_cv_working_poll=unknown
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 17582 "configure"
+#line 17634 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -17626,15 +17678,15 @@
 }
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:17629: \"$ac_link\"") >&5
+if { (eval echo "$as_me:17681: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:17632: \$? = $ac_status" >&5
+  echo "$as_me:17684: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:17634: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17686: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17637: \$? = $ac_status" >&5
+  echo "$as_me:17689: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_working_poll=yes
 else
@@ -17646,21 +17698,21 @@
 rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
 fi
 fi
-echo "$as_me:17649: result: $cf_cv_working_poll" >&5
+echo "$as_me:17701: result: $cf_cv_working_poll" >&5
 echo "${ECHO_T}$cf_cv_working_poll" >&6
 test "$cf_cv_working_poll" = "yes" &&
 cat >>confdefs.h <<\EOF
 #define HAVE_WORKING_POLL 1
 EOF
 
-echo "$as_me:17656: checking for va_copy" >&5
+echo "$as_me:17708: checking for va_copy" >&5
 echo $ECHO_N "checking for va_copy... $ECHO_C" >&6
 if test "${cf_cv_have_va_copy+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 17663 "configure"
+#line 17715 "configure"
 #include "confdefs.h"
 
 #include <stdarg.h>
@@ -17677,16 +17729,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:17680: \"$ac_link\"") >&5
+if { (eval echo "$as_me:17732: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:17683: \$? = $ac_status" >&5
+  echo "$as_me:17735: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:17686: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17738: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17689: \$? = $ac_status" >&5
+  echo "$as_me:17741: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_have_va_copy=yes
 else
@@ -17696,7 +17748,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:17699: result: $cf_cv_have_va_copy" >&5
+echo "$as_me:17751: result: $cf_cv_have_va_copy" >&5
 echo "${ECHO_T}$cf_cv_have_va_copy" >&6
 
 test "$cf_cv_have_va_copy" = yes &&
@@ -17704,14 +17756,14 @@
 #define HAVE_VA_COPY 1
 EOF
 
-echo "$as_me:17707: checking for __va_copy" >&5
+echo "$as_me:17759: checking for __va_copy" >&5
 echo $ECHO_N "checking for __va_copy... $ECHO_C" >&6
 if test "${cf_cv_have___va_copy+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 17714 "configure"
+#line 17766 "configure"
 #include "confdefs.h"
 
 #include <stdarg.h>
@@ -17728,16 +17780,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:17731: \"$ac_link\"") >&5
+if { (eval echo "$as_me:17783: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:17734: \$? = $ac_status" >&5
+  echo "$as_me:17786: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:17737: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17789: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17740: \$? = $ac_status" >&5
+  echo "$as_me:17792: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_have___va_copy=yes
 else
@@ -17747,7 +17799,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:17750: result: $cf_cv_have___va_copy" >&5
+echo "$as_me:17802: result: $cf_cv_have___va_copy" >&5
 echo "${ECHO_T}$cf_cv_have___va_copy" >&6
 
 test "$cf_cv_have___va_copy" = yes &&
@@ -17755,13 +17807,13 @@
 #define HAVE___VA_COPY 1
 EOF
 
-echo "$as_me:17758: checking for pid_t" >&5
+echo "$as_me:17810: checking for pid_t" >&5
 echo $ECHO_N "checking for pid_t... $ECHO_C" >&6
 if test "${ac_cv_type_pid_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 17764 "configure"
+#line 17816 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -17776,16 +17828,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:17779: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:17831: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:17782: \$? = $ac_status" >&5
+  echo "$as_me:17834: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:17785: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17837: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17788: \$? = $ac_status" >&5
+  echo "$as_me:17840: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_type_pid_t=yes
 else
@@ -17795,7 +17847,7 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:17798: result: $ac_cv_type_pid_t" >&5
+echo "$as_me:17850: result: $ac_cv_type_pid_t" >&5
 echo "${ECHO_T}$ac_cv_type_pid_t" >&6
 if test $ac_cv_type_pid_t = yes; then
   :
@@ -17810,23 +17862,23 @@
 for ac_header in unistd.h vfork.h
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-echo "$as_me:17813: checking for $ac_header" >&5
+echo "$as_me:17865: checking for $ac_header" >&5
 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
 if eval "test \"\${$as_ac_Header+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 17819 "configure"
+#line 17871 "configure"
 #include "confdefs.h"
 #include <$ac_header>
 _ACEOF
-if { (eval echo "$as_me:17823: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:17875: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:17829: \$? = $ac_status" >&5
+  echo "$as_me:17881: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_c_preproc_warn_flag
@@ -17845,7 +17897,7 @@
 fi
 rm -f conftest.err conftest.$ac_ext
 fi
-echo "$as_me:17848: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "$as_me:17900: result: `eval echo '${'$as_ac_Header'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
 if test `eval echo '${'$as_ac_Header'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -17858,13 +17910,13 @@
 for ac_func in fork vfork
 do
 as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
-echo "$as_me:17861: checking for $ac_func" >&5
+echo "$as_me:17913: checking for $ac_func" >&5
 echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
 if eval "test \"\${$as_ac_var+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 17867 "configure"
+#line 17919 "configure"
 #include "confdefs.h"
 /* System header to define __stub macros and hopefully few prototypes,
     which can conflict with char $ac_func (); below.  */
@@ -17895,16 +17947,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:17898: \"$ac_link\"") >&5
+if { (eval echo "$as_me:17950: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:17901: \$? = $ac_status" >&5
+  echo "$as_me:17953: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:17904: \"$ac_try\"") >&5
+  { (eval echo "$as_me:17956: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17907: \$? = $ac_status" >&5
+  echo "$as_me:17959: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   eval "$as_ac_var=yes"
 else
@@ -17914,7 +17966,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 fi
-echo "$as_me:17917: result: `eval echo '${'$as_ac_var'}'`" >&5
+echo "$as_me:17969: result: `eval echo '${'$as_ac_var'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
 if test `eval echo '${'$as_ac_var'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -17926,7 +17978,7 @@
 
 ac_cv_func_fork_works=$ac_cv_func_fork
 if test "x$ac_cv_func_fork" = xyes; then
-  echo "$as_me:17929: checking for working fork" >&5
+  echo "$as_me:17981: checking for working fork" >&5
 echo $ECHO_N "checking for working fork... $ECHO_C" >&6
 if test "${ac_cv_func_fork_works+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -17949,15 +18001,15 @@
       }
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:17952: \"$ac_link\"") >&5
+if { (eval echo "$as_me:18004: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:17955: \$? = $ac_status" >&5
+  echo "$as_me:18007: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:17957: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18009: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:17960: \$? = $ac_status" >&5
+  echo "$as_me:18012: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_func_fork_works=yes
 else
@@ -17969,7 +18021,7 @@
 rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
 fi
 fi
-echo "$as_me:17972: result: $ac_cv_func_fork_works" >&5
+echo "$as_me:18024: result: $ac_cv_func_fork_works" >&5
 echo "${ECHO_T}$ac_cv_func_fork_works" >&6
 
 fi
@@ -17983,12 +18035,12 @@
       ac_cv_func_fork_works=yes
       ;;
   esac
-  { echo "$as_me:17986: WARNING: CROSS: Result $ac_cv_func_fork_works guessed due to cross-compiling." >&5
+  { echo "$as_me:18038: WARNING: CROSS: Result $ac_cv_func_fork_works guessed due to cross-compiling." >&5
 echo "$as_me: WARNING: CROSS: Result $ac_cv_func_fork_works guessed due to cross-compiling." >&2;}
 fi
 ac_cv_func_vfork_works=$ac_cv_func_vfork
 if test "x$ac_cv_func_vfork" = xyes; then
-  echo "$as_me:17991: checking for working vfork" >&5
+  echo "$as_me:18043: checking for working vfork" >&5
 echo $ECHO_N "checking for working vfork... $ECHO_C" >&6
 if test "${ac_cv_func_vfork_works+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -17997,7 +18049,7 @@
   ac_cv_func_vfork_works=cross
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 18000 "configure"
+#line 18052 "configure"
 #include "confdefs.h"
 /* Thanks to Paul Eggert for this test.  */
 #include <stdio.h>
@@ -18094,15 +18146,15 @@
 }
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:18097: \"$ac_link\"") >&5
+if { (eval echo "$as_me:18149: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:18100: \$? = $ac_status" >&5
+  echo "$as_me:18152: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:18102: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18154: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18105: \$? = $ac_status" >&5
+  echo "$as_me:18157: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_func_vfork_works=yes
 else
@@ -18114,13 +18166,13 @@
 rm -f core core.* *.core conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
 fi
 fi
-echo "$as_me:18117: result: $ac_cv_func_vfork_works" >&5
+echo "$as_me:18169: result: $ac_cv_func_vfork_works" >&5
 echo "${ECHO_T}$ac_cv_func_vfork_works" >&6
 
 fi;
 if test "x$ac_cv_func_fork_works" = xcross; then
   ac_cv_func_vfork_works=ac_cv_func_vfork
-  { echo "$as_me:18123: WARNING: CROSS: Result $ac_cv_func_vfork_works guessed due to cross-compiling." >&5
+  { echo "$as_me:18175: WARNING: CROSS: Result $ac_cv_func_vfork_works guessed due to cross-compiling." >&5
 echo "$as_me: WARNING: CROSS: Result $ac_cv_func_vfork_works guessed due to cross-compiling." >&2;}
 fi
 
@@ -18147,7 +18199,7 @@
 
 # special check for test/ditto.c
 
-echo "$as_me:18150: checking for openpty in -lutil" >&5
+echo "$as_me:18202: checking for openpty in -lutil" >&5
 echo $ECHO_N "checking for openpty in -lutil... $ECHO_C" >&6
 if test "${ac_cv_lib_util_openpty+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -18155,7 +18207,7 @@
   ac_check_lib_save_LIBS=$LIBS
 LIBS="-lutil  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
-#line 18158 "configure"
+#line 18210 "configure"
 #include "confdefs.h"
 
 /* Override any gcc2 internal prototype to avoid an error.  */
@@ -18174,16 +18226,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:18177: \"$ac_link\"") >&5
+if { (eval echo "$as_me:18229: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:18180: \$? = $ac_status" >&5
+  echo "$as_me:18232: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:18183: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18235: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18186: \$? = $ac_status" >&5
+  echo "$as_me:18238: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_lib_util_openpty=yes
 else
@@ -18194,7 +18246,7 @@
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:18197: result: $ac_cv_lib_util_openpty" >&5
+echo "$as_me:18249: result: $ac_cv_lib_util_openpty" >&5
 echo "${ECHO_T}$ac_cv_lib_util_openpty" >&6
 if test $ac_cv_lib_util_openpty = yes; then
   cf_cv_lib_util=yes
@@ -18202,7 +18254,7 @@
   cf_cv_lib_util=no
 fi
 
-echo "$as_me:18205: checking for openpty header" >&5
+echo "$as_me:18257: checking for openpty header" >&5
 echo $ECHO_N "checking for openpty header... $ECHO_C" >&6
 if test "${cf_cv_func_openpty+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -18229,7 +18281,7 @@
     for cf_header in pty.h libutil.h util.h
     do
     cat >conftest.$ac_ext <<_ACEOF
-#line 18232 "configure"
+#line 18284 "configure"
 #include "confdefs.h"
 
 #include <$cf_header>
@@ -18246,16 +18298,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:18249: \"$ac_link\"") >&5
+if { (eval echo "$as_me:18301: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:18252: \$? = $ac_status" >&5
+  echo "$as_me:18304: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:18255: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18307: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18258: \$? = $ac_status" >&5
+  echo "$as_me:18310: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
         cf_cv_func_openpty=$cf_header
@@ -18273,7 +18325,7 @@
     LIBS="$cf_save_LIBS"
 
 fi
-echo "$as_me:18276: result: $cf_cv_func_openpty" >&5
+echo "$as_me:18328: result: $cf_cv_func_openpty" >&5
 echo "${ECHO_T}$cf_cv_func_openpty" >&6
 
 if test "$cf_cv_func_openpty" != no ; then
@@ -18343,7 +18395,7 @@
 			  cf_save_CPPFLAGS=$CPPFLAGS
 			  CPPFLAGS="$CPPFLAGS -I$cf_add_incdir"
 			  cat >conftest.$ac_ext <<_ACEOF
-#line 18346 "configure"
+#line 18398 "configure"
 #include "confdefs.h"
 #include <stdio.h>
 int
@@ -18355,16 +18407,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:18358: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:18410: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:18361: \$? = $ac_status" >&5
+  echo "$as_me:18413: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:18364: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18416: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18367: \$? = $ac_status" >&5
+  echo "$as_me:18419: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   :
 else
@@ -18381,7 +18433,7 @@
 		if test "$cf_have_incdir" = no ; then
 		  test -n "$verbose" && echo "	adding $cf_add_incdir to include-path" 1>&6
 
-echo "${as_me:-configure}:18384: testing adding $cf_add_incdir to include-path ..." 1>&5
+echo "${as_me:-configure}:18436: testing adding $cf_add_incdir to include-path ..." 1>&5
 
 		  CPPFLAGS="$CPPFLAGS -I$cf_add_incdir"
 
@@ -18415,7 +18467,7 @@
       if test "$cf_have_libdir" = no ; then
         test -n "$verbose" && echo "	adding $cf_add_libdir to library-path" 1>&6
 
-echo "${as_me:-configure}:18418: testing adding $cf_add_libdir to library-path ..." 1>&5
+echo "${as_me:-configure}:18470: testing adding $cf_add_libdir to library-path ..." 1>&5
 
         LDFLAGS="-L$cf_add_libdir $LDFLAGS"
       fi
@@ -18426,7 +18478,7 @@
 	else
 		case "$with_hashed_db" in #(vi
 		./*|../*|/*)
-			{ echo "$as_me:18429: WARNING: no such directory $with_hashed_db" >&5
+			{ echo "$as_me:18481: WARNING: no such directory $with_hashed_db" >&5
 echo "$as_me: WARNING: no such directory $with_hashed_db" >&2;}
 			;; #(vi
 		*)
@@ -18495,7 +18547,7 @@
 			  cf_save_CPPFLAGS=$CPPFLAGS
 			  CPPFLAGS="$CPPFLAGS -I$cf_add_incdir"
 			  cat >conftest.$ac_ext <<_ACEOF
-#line 18498 "configure"
+#line 18550 "configure"
 #include "confdefs.h"
 #include <stdio.h>
 int
@@ -18507,16 +18559,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:18510: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:18562: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:18513: \$? = $ac_status" >&5
+  echo "$as_me:18565: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:18516: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18568: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18519: \$? = $ac_status" >&5
+  echo "$as_me:18571: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   :
 else
@@ -18533,7 +18585,7 @@
 		if test "$cf_have_incdir" = no ; then
 		  test -n "$verbose" && echo "	adding $cf_add_incdir to include-path" 1>&6
 
-echo "${as_me:-configure}:18536: testing adding $cf_add_incdir to include-path ..." 1>&5
+echo "${as_me:-configure}:18588: testing adding $cf_add_incdir to include-path ..." 1>&5
 
 		  CPPFLAGS="$CPPFLAGS -I$cf_add_incdir"
 
@@ -18611,7 +18663,7 @@
       if test "$cf_have_libdir" = no ; then
         test -n "$verbose" && echo "	adding $cf_add_libdir to library-path" 1>&6
 
-echo "${as_me:-configure}:18614: testing adding $cf_add_libdir to library-path ..." 1>&5
+echo "${as_me:-configure}:18666: testing adding $cf_add_libdir to library-path ..." 1>&5
 
         LDFLAGS="-L$cf_add_libdir $LDFLAGS"
       fi
@@ -18628,23 +18680,23 @@
     fi
 esac
 
-echo "$as_me:18631: checking for db.h" >&5
+echo "$as_me:18683: checking for db.h" >&5
 echo $ECHO_N "checking for db.h... $ECHO_C" >&6
 if test "${ac_cv_header_db_h+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 18637 "configure"
+#line 18689 "configure"
 #include "confdefs.h"
 #include <db.h>
 _ACEOF
-if { (eval echo "$as_me:18641: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:18693: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:18647: \$? = $ac_status" >&5
+  echo "$as_me:18699: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_c_preproc_warn_flag
@@ -18663,11 +18715,11 @@
 fi
 rm -f conftest.err conftest.$ac_ext
 fi
-echo "$as_me:18666: result: $ac_cv_header_db_h" >&5
+echo "$as_me:18718: result: $ac_cv_header_db_h" >&5
 echo "${ECHO_T}$ac_cv_header_db_h" >&6
 if test $ac_cv_header_db_h = yes; then
 
-echo "$as_me:18670: checking for version of db" >&5
+echo "$as_me:18722: checking for version of db" >&5
 echo $ECHO_N "checking for version of db... $ECHO_C" >&6
 if test "${cf_cv_hashed_db_version+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -18678,10 +18730,10 @@
 for cf_db_version in 1 2 3 4 5 6
 do
 
-echo "${as_me:-configure}:18681: testing checking for db version $cf_db_version ..." 1>&5
+echo "${as_me:-configure}:18733: testing checking for db version $cf_db_version ..." 1>&5
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 18684 "configure"
+#line 18736 "configure"
 #include "confdefs.h"
 
 $ac_includes_default
@@ -18711,16 +18763,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:18714: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:18766: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:18717: \$? = $ac_status" >&5
+  echo "$as_me:18769: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:18720: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18772: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18723: \$? = $ac_status" >&5
+  echo "$as_me:18775: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
 	cf_cv_hashed_db_version=$cf_db_version
@@ -18734,16 +18786,16 @@
 done
 
 fi
-echo "$as_me:18737: result: $cf_cv_hashed_db_version" >&5
+echo "$as_me:18789: result: $cf_cv_hashed_db_version" >&5
 echo "${ECHO_T}$cf_cv_hashed_db_version" >&6
 
 if test "$cf_cv_hashed_db_version" = unknown ; then
-	{ { echo "$as_me:18741: error: Cannot determine version of db" >&5
+	{ { echo "$as_me:18793: error: Cannot determine version of db" >&5
 echo "$as_me: error: Cannot determine version of db" >&2;}
    { (exit 1); exit 1; }; }
 else
 
-echo "$as_me:18746: checking for db libraries" >&5
+echo "$as_me:18798: checking for db libraries" >&5
 echo $ECHO_N "checking for db libraries... $ECHO_C" >&6
 if test "${cf_cv_hashed_db_libs+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -18773,10 +18825,10 @@
 
 	fi
 
-echo "${as_me:-configure}:18776: testing checking for library "$cf_db_libs" ..." 1>&5
+echo "${as_me:-configure}:18828: testing checking for library "$cf_db_libs" ..." 1>&5
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 18779 "configure"
+#line 18831 "configure"
 #include "confdefs.h"
 
 $ac_includes_default
@@ -18831,16 +18883,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:18834: \"$ac_link\"") >&5
+if { (eval echo "$as_me:18886: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:18837: \$? = $ac_status" >&5
+  echo "$as_me:18889: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:18840: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18892: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18843: \$? = $ac_status" >&5
+  echo "$as_me:18895: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
 	if test -n "$cf_db_libs" ; then
@@ -18860,11 +18912,11 @@
 done
 
 fi
-echo "$as_me:18863: result: $cf_cv_hashed_db_libs" >&5
+echo "$as_me:18915: result: $cf_cv_hashed_db_libs" >&5
 echo "${ECHO_T}$cf_cv_hashed_db_libs" >&6
 
 	if test "$cf_cv_hashed_db_libs" = unknown ; then
-		{ { echo "$as_me:18867: error: Cannot determine library for db" >&5
+		{ { echo "$as_me:18919: error: Cannot determine library for db" >&5
 echo "$as_me: error: Cannot determine library for db" >&2;}
    { (exit 1); exit 1; }; }
 	elif test "$cf_cv_hashed_db_libs" != default ; then
@@ -18890,7 +18942,7 @@
 
 else
 
-	{ { echo "$as_me:18893: error: Cannot find db.h" >&5
+	{ { echo "$as_me:18945: error: Cannot find db.h" >&5
 echo "$as_me: error: Cannot find db.h" >&2;}
    { (exit 1); exit 1; }; }
 
@@ -18905,7 +18957,7 @@
 
 # Just in case, check if the C compiler has a bool type.
 
-echo "$as_me:18908: checking if we should include stdbool.h" >&5
+echo "$as_me:18960: checking if we should include stdbool.h" >&5
 echo $ECHO_N "checking if we should include stdbool.h... $ECHO_C" >&6
 
 if test "${cf_cv_header_stdbool_h+set}" = set; then
@@ -18913,7 +18965,7 @@
 else
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 18916 "configure"
+#line 18968 "configure"
 #include "confdefs.h"
 
 int
@@ -18925,23 +18977,23 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:18928: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:18980: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:18931: \$? = $ac_status" >&5
+  echo "$as_me:18983: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:18934: \"$ac_try\"") >&5
+  { (eval echo "$as_me:18986: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18937: \$? = $ac_status" >&5
+  echo "$as_me:18989: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_header_stdbool_h=0
 else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 cat >conftest.$ac_ext <<_ACEOF
-#line 18944 "configure"
+#line 18996 "configure"
 #include "confdefs.h"
 
 #ifndef __BEOS__
@@ -18957,16 +19009,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:18960: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:19012: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:18963: \$? = $ac_status" >&5
+  echo "$as_me:19015: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:18966: \"$ac_try\"") >&5
+  { (eval echo "$as_me:19018: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:18969: \$? = $ac_status" >&5
+  echo "$as_me:19021: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_header_stdbool_h=1
 else
@@ -18980,13 +19032,13 @@
 fi
 
 if test "$cf_cv_header_stdbool_h" = 1
-then	echo "$as_me:18983: result: yes" >&5
+then	echo "$as_me:19035: result: yes" >&5
 echo "${ECHO_T}yes" >&6
-else	echo "$as_me:18985: result: no" >&5
+else	echo "$as_me:19037: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
-echo "$as_me:18989: checking for builtin bool type" >&5
+echo "$as_me:19041: checking for builtin bool type" >&5
 echo $ECHO_N "checking for builtin bool type... $ECHO_C" >&6
 
 if test "${cf_cv_cc_bool_type+set}" = set; then
@@ -18994,7 +19046,7 @@
 else
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 18997 "configure"
+#line 19049 "configure"
 #include "confdefs.h"
 
 #include <stdio.h>
@@ -19009,16 +19061,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:19012: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:19064: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:19015: \$? = $ac_status" >&5
+  echo "$as_me:19067: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:19018: \"$ac_try\"") >&5
+  { (eval echo "$as_me:19070: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:19021: \$? = $ac_status" >&5
+  echo "$as_me:19073: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_cc_bool_type=1
 else
@@ -19031,9 +19083,9 @@
 fi
 
 if test "$cf_cv_cc_bool_type" = 1
-then	echo "$as_me:19034: result: yes" >&5
+then	echo "$as_me:19086: result: yes" >&5
 echo "${ECHO_T}yes" >&6
-else	echo "$as_me:19036: result: no" >&5
+else	echo "$as_me:19088: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -19055,7 +19107,7 @@
 	cf_stdcpp_libname=stdc++
 	;;
 esac
-echo "$as_me:19058: checking for library $cf_stdcpp_libname" >&5
+echo "$as_me:19110: checking for library $cf_stdcpp_libname" >&5
 echo $ECHO_N "checking for library $cf_stdcpp_libname... $ECHO_C" >&6
 if test "${cf_cv_libstdcpp+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -19080,7 +19132,7 @@
 LIBS="$cf_add_libs"
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 19083 "configure"
+#line 19135 "configure"
 #include "confdefs.h"
 
 #include <strstream.h>
@@ -19096,16 +19148,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:19099: \"$ac_link\"") >&5
+if { (eval echo "$as_me:19151: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:19102: \$? = $ac_status" >&5
+  echo "$as_me:19154: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:19105: \"$ac_try\"") >&5
+  { (eval echo "$as_me:19157: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:19108: \$? = $ac_status" >&5
+  echo "$as_me:19160: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_libstdcpp=yes
 else
@@ -19117,7 +19169,7 @@
 	LIBS="$cf_save"
 
 fi
-echo "$as_me:19120: result: $cf_cv_libstdcpp" >&5
+echo "$as_me:19172: result: $cf_cv_libstdcpp" >&5
 echo "${ECHO_T}$cf_cv_libstdcpp" >&6
 test "$cf_cv_libstdcpp" = yes &&
 cf_add_libs="-l$cf_stdcpp_libname"
@@ -19138,7 +19190,7 @@
 
 fi
 
-	echo "$as_me:19141: checking whether $CXX understands -c and -o together" >&5
+	echo "$as_me:19193: checking whether $CXX understands -c and -o together" >&5
 echo $ECHO_N "checking whether $CXX understands -c and -o together... $ECHO_C" >&6
 if test "${cf_cv_prog_CXX_c_o+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -19154,15 +19206,15 @@
 # We do the test twice because some compilers refuse to overwrite an
 # existing .o file with -o, though they will create one.
 ac_try='$CXX -c conftest.$ac_ext -o conftest2.$ac_objext >&5'
-if { (eval echo "$as_me:19157: \"$ac_try\"") >&5
+if { (eval echo "$as_me:19209: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:19160: \$? = $ac_status" >&5
+  echo "$as_me:19212: \$? = $ac_status" >&5
   (exit $ac_status); } &&
-  test -f conftest2.$ac_objext && { (eval echo "$as_me:19162: \"$ac_try\"") >&5
+  test -f conftest2.$ac_objext && { (eval echo "$as_me:19214: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:19165: \$? = $ac_status" >&5
+  echo "$as_me:19217: \$? = $ac_status" >&5
   (exit $ac_status); };
 then
   eval cf_cv_prog_CXX_c_o=yes
@@ -19173,10 +19225,10 @@
 
 fi
 if test $cf_cv_prog_CXX_c_o = yes; then
-  echo "$as_me:19176: result: yes" >&5
+  echo "$as_me:19228: result: yes" >&5
 echo "${ECHO_T}yes" >&6
 else
-  echo "$as_me:19179: result: no" >&5
+  echo "$as_me:19231: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -19196,7 +19248,7 @@
 	;;
 esac
 if test "$GXX" = yes; then
-	echo "$as_me:19199: checking for lib$cf_gpp_libname" >&5
+	echo "$as_me:19251: checking for lib$cf_gpp_libname" >&5
 echo $ECHO_N "checking for lib$cf_gpp_libname... $ECHO_C" >&6
 	cf_save="$LIBS"
 
@@ -19217,7 +19269,7 @@
 LIBS="$cf_add_libs"
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 19220 "configure"
+#line 19272 "configure"
 #include "confdefs.h"
 
 #include <$cf_gpp_libname/builtin.h>
@@ -19231,16 +19283,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:19234: \"$ac_link\"") >&5
+if { (eval echo "$as_me:19286: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:19237: \$? = $ac_status" >&5
+  echo "$as_me:19289: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:19240: \"$ac_try\"") >&5
+  { (eval echo "$as_me:19292: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:19243: \$? = $ac_status" >&5
+  echo "$as_me:19295: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cxx_library=yes
 
@@ -19277,7 +19329,7 @@
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 cat >conftest.$ac_ext <<_ACEOF
-#line 19280 "configure"
+#line 19332 "configure"
 #include "confdefs.h"
 
 #include <builtin.h>
@@ -19291,16 +19343,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:19294: \"$ac_link\"") >&5
+if { (eval echo "$as_me:19346: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:19297: \$? = $ac_status" >&5
+  echo "$as_me:19349: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:19300: \"$ac_try\"") >&5
+  { (eval echo "$as_me:19352: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:19303: \$? = $ac_status" >&5
+  echo "$as_me:19355: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cxx_library=yes
 
@@ -19333,7 +19385,7 @@
 fi
 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
 	LIBS="$cf_save"
-	echo "$as_me:19336: result: $cf_cxx_library" >&5
+	echo "$as_me:19388: result: $cf_cxx_library" >&5
 echo "${ECHO_T}$cf_cxx_library" >&6
 fi
 
@@ -19349,7 +19401,7 @@
 ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
 ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
 ac_main_return=return
-echo "$as_me:19352: checking how to run the C++ preprocessor" >&5
+echo "$as_me:19404: checking how to run the C++ preprocessor" >&5
 echo $ECHO_N "checking how to run the C++ preprocessor... $ECHO_C" >&6
 if test -z "$CXXCPP"; then
   if test "${ac_cv_prog_CXXCPP+set}" = set; then
@@ -19366,18 +19418,18 @@
   # On the NeXT, cc -E runs the code through the compiler's parser,
   # not just through cpp. "Syntax error" is here to catch this case.
   cat >conftest.$ac_ext <<_ACEOF
-#line 19369 "configure"
+#line 19421 "configure"
 #include "confdefs.h"
 #include <assert.h>
                      Syntax error
 _ACEOF
-if { (eval echo "$as_me:19374: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:19426: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:19380: \$? = $ac_status" >&5
+  echo "$as_me:19432: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_cxx_preproc_warn_flag
@@ -19400,17 +19452,17 @@
   # OK, works on sane cases.  Now check whether non-existent headers
   # can be detected and how.
   cat >conftest.$ac_ext <<_ACEOF
-#line 19403 "configure"
+#line 19455 "configure"
 #include "confdefs.h"
 #include <ac_nonexistent.h>
 _ACEOF
-if { (eval echo "$as_me:19407: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:19459: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:19413: \$? = $ac_status" >&5
+  echo "$as_me:19465: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_cxx_preproc_warn_flag
@@ -19447,7 +19499,7 @@
 else
   ac_cv_prog_CXXCPP=$CXXCPP
 fi
-echo "$as_me:19450: result: $CXXCPP" >&5
+echo "$as_me:19502: result: $CXXCPP" >&5
 echo "${ECHO_T}$CXXCPP" >&6
 ac_preproc_ok=false
 for ac_cxx_preproc_warn_flag in '' yes
@@ -19457,18 +19509,18 @@
   # On the NeXT, cc -E runs the code through the compiler's parser,
   # not just through cpp. "Syntax error" is here to catch this case.
   cat >conftest.$ac_ext <<_ACEOF
-#line 19460 "configure"
+#line 19512 "configure"
 #include "confdefs.h"
 #include <assert.h>
                      Syntax error
 _ACEOF
-if { (eval echo "$as_me:19465: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:19517: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:19471: \$? = $ac_status" >&5
+  echo "$as_me:19523: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_cxx_preproc_warn_flag
@@ -19491,17 +19543,17 @@
   # OK, works on sane cases.  Now check whether non-existent headers
   # can be detected and how.
   cat >conftest.$ac_ext <<_ACEOF
-#line 19494 "configure"
+#line 19546 "configure"
 #include "confdefs.h"
 #include <ac_nonexistent.h>
 _ACEOF
-if { (eval echo "$as_me:19498: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:19550: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:19504: \$? = $ac_status" >&5
+  echo "$as_me:19556: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_cxx_preproc_warn_flag
@@ -19529,7 +19581,7 @@
 if $ac_preproc_ok; then
   :
 else
-  { { echo "$as_me:19532: error: C++ preprocessor \"$CXXCPP\" fails sanity check" >&5
+  { { echo "$as_me:19584: error: C++ preprocessor \"$CXXCPP\" fails sanity check" >&5
 echo "$as_me: error: C++ preprocessor \"$CXXCPP\" fails sanity check" >&2;}
    { (exit 1); exit 1; }; }
 fi
@@ -19544,23 +19596,23 @@
 for ac_header in typeinfo
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-echo "$as_me:19547: checking for $ac_header" >&5
+echo "$as_me:19599: checking for $ac_header" >&5
 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
 if eval "test \"\${$as_ac_Header+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 19553 "configure"
+#line 19605 "configure"
 #include "confdefs.h"
 #include <$ac_header>
 _ACEOF
-if { (eval echo "$as_me:19557: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:19609: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:19563: \$? = $ac_status" >&5
+  echo "$as_me:19615: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_cxx_preproc_warn_flag
@@ -19579,7 +19631,7 @@
 fi
 rm -f conftest.err conftest.$ac_ext
 fi
-echo "$as_me:19582: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "$as_me:19634: result: `eval echo '${'$as_ac_Header'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
 if test `eval echo '${'$as_ac_Header'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -19592,23 +19644,23 @@
 for ac_header in iostream
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-echo "$as_me:19595: checking for $ac_header" >&5
+echo "$as_me:19647: checking for $ac_header" >&5
 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
 if eval "test \"\${$as_ac_Header+set}\" = set"; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 19601 "configure"
+#line 19653 "configure"
 #include "confdefs.h"
 #include <$ac_header>
 _ACEOF
-if { (eval echo "$as_me:19605: \"$ac_cpp conftest.$ac_ext\"") >&5
+if { (eval echo "$as_me:19657: \"$ac_cpp conftest.$ac_ext\"") >&5
   (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
   ac_status=$?
   egrep -v '^ *\+' conftest.er1 >conftest.err
   rm -f conftest.er1
   cat conftest.err >&5
-  echo "$as_me:19611: \$? = $ac_status" >&5
+  echo "$as_me:19663: \$? = $ac_status" >&5
   (exit $ac_status); } >/dev/null; then
   if test -s conftest.err; then
     ac_cpp_err=$ac_cxx_preproc_warn_flag
@@ -19627,7 +19679,7 @@
 fi
 rm -f conftest.err conftest.$ac_ext
 fi
-echo "$as_me:19630: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "$as_me:19682: result: `eval echo '${'$as_ac_Header'}'`" >&5
 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
 if test `eval echo '${'$as_ac_Header'}'` = yes; then
   cat >>confdefs.h <<EOF
@@ -19638,10 +19690,10 @@
 done
 
 if test x"$ac_cv_header_iostream" = xyes ; then
-	echo "$as_me:19641: checking if iostream uses std-namespace" >&5
+	echo "$as_me:19693: checking if iostream uses std-namespace" >&5
 echo $ECHO_N "checking if iostream uses std-namespace... $ECHO_C" >&6
 	cat >conftest.$ac_ext <<_ACEOF
-#line 19644 "configure"
+#line 19696 "configure"
 #include "confdefs.h"
 
 #include <iostream>
@@ -19658,16 +19710,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:19661: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:19713: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:19664: \$? = $ac_status" >&5
+  echo "$as_me:19716: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:19667: \"$ac_try\"") >&5
+  { (eval echo "$as_me:19719: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:19670: \$? = $ac_status" >&5
+  echo "$as_me:19722: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_iostream_namespace=yes
 else
@@ -19676,7 +19728,7 @@
 cf_iostream_namespace=no
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
-	echo "$as_me:19679: result: $cf_iostream_namespace" >&5
+	echo "$as_me:19731: result: $cf_iostream_namespace" >&5
 echo "${ECHO_T}$cf_iostream_namespace" >&6
 	if test "$cf_iostream_namespace" = yes ; then
 
@@ -19687,7 +19739,7 @@
 	fi
 fi
 
-echo "$as_me:19690: checking if we should include stdbool.h" >&5
+echo "$as_me:19742: checking if we should include stdbool.h" >&5
 echo $ECHO_N "checking if we should include stdbool.h... $ECHO_C" >&6
 
 if test "${cf_cv_header_stdbool_h+set}" = set; then
@@ -19695,7 +19747,7 @@
 else
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 19698 "configure"
+#line 19750 "configure"
 #include "confdefs.h"
 
 int
@@ -19707,23 +19759,23 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:19710: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:19762: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:19713: \$? = $ac_status" >&5
+  echo "$as_me:19765: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:19716: \"$ac_try\"") >&5
+  { (eval echo "$as_me:19768: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:19719: \$? = $ac_status" >&5
+  echo "$as_me:19771: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_header_stdbool_h=0
 else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
 cat >conftest.$ac_ext <<_ACEOF
-#line 19726 "configure"
+#line 19778 "configure"
 #include "confdefs.h"
 
 #ifndef __BEOS__
@@ -19739,16 +19791,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:19742: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:19794: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:19745: \$? = $ac_status" >&5
+  echo "$as_me:19797: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:19748: \"$ac_try\"") >&5
+  { (eval echo "$as_me:19800: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:19751: \$? = $ac_status" >&5
+  echo "$as_me:19803: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_header_stdbool_h=1
 else
@@ -19762,13 +19814,13 @@
 fi
 
 if test "$cf_cv_header_stdbool_h" = 1
-then	echo "$as_me:19765: result: yes" >&5
+then	echo "$as_me:19817: result: yes" >&5
 echo "${ECHO_T}yes" >&6
-else	echo "$as_me:19767: result: no" >&5
+else	echo "$as_me:19819: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
-echo "$as_me:19771: checking for builtin bool type" >&5
+echo "$as_me:19823: checking for builtin bool type" >&5
 echo $ECHO_N "checking for builtin bool type... $ECHO_C" >&6
 
 if test "${cf_cv_builtin_bool+set}" = set; then
@@ -19776,7 +19828,7 @@
 else
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 19779 "configure"
+#line 19831 "configure"
 #include "confdefs.h"
 
 #include <stdio.h>
@@ -19791,16 +19843,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:19794: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:19846: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:19797: \$? = $ac_status" >&5
+  echo "$as_me:19849: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:19800: \"$ac_try\"") >&5
+  { (eval echo "$as_me:19852: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:19803: \$? = $ac_status" >&5
+  echo "$as_me:19855: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_builtin_bool=1
 else
@@ -19813,13 +19865,13 @@
 fi
 
 if test "$cf_cv_builtin_bool" = 1
-then	echo "$as_me:19816: result: yes" >&5
+then	echo "$as_me:19868: result: yes" >&5
 echo "${ECHO_T}yes" >&6
-else	echo "$as_me:19818: result: no" >&5
+else	echo "$as_me:19870: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
-echo "$as_me:19822: checking for size of bool" >&5
+echo "$as_me:19874: checking for size of bool" >&5
 echo $ECHO_N "checking for size of bool... $ECHO_C" >&6
 if test "${cf_cv_type_of_bool+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -19830,7 +19882,7 @@
   cf_cv_type_of_bool=unknown
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 19833 "configure"
+#line 19885 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -19872,15 +19924,15 @@
 
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:19875: \"$ac_link\"") >&5
+if { (eval echo "$as_me:19927: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:19878: \$? = $ac_status" >&5
+  echo "$as_me:19930: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:19880: \"$ac_try\"") >&5
+  { (eval echo "$as_me:19932: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:19883: \$? = $ac_status" >&5
+  echo "$as_me:19935: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_type_of_bool=`cat cf_test.out`
 		 if test -z "$cf_cv_type_of_bool"; then
@@ -19898,18 +19950,18 @@
 fi
 
 	rm -f cf_test.out
-echo "$as_me:19901: result: $cf_cv_type_of_bool" >&5
+echo "$as_me:19953: result: $cf_cv_type_of_bool" >&5
 echo "${ECHO_T}$cf_cv_type_of_bool" >&6
 if test "$cf_cv_type_of_bool" = unknown ; then
 	case .$NCURSES_BOOL in #(vi
 	.auto|.) NCURSES_BOOL=unsigned;;
 	esac
-	{ echo "$as_me:19907: WARNING: Assuming $NCURSES_BOOL for type of bool" >&5
+	{ echo "$as_me:19959: WARNING: Assuming $NCURSES_BOOL for type of bool" >&5
 echo "$as_me: WARNING: Assuming $NCURSES_BOOL for type of bool" >&2;}
 	cf_cv_type_of_bool=$NCURSES_BOOL
 fi
 
-echo "$as_me:19912: checking for special defines needed for etip.h" >&5
+echo "$as_me:19964: checking for special defines needed for etip.h" >&5
 echo $ECHO_N "checking for special defines needed for etip.h... $ECHO_C" >&6
 cf_save_CXXFLAGS="$CXXFLAGS"
 cf_result="none"
@@ -19927,7 +19979,7 @@
 	test -n "$cf_math" && CXXFLAGS="$CXXFLAGS -DETIP_NEEDS_${cf_math}"
 	test -n "$cf_excp" && CXXFLAGS="$CXXFLAGS -DETIP_NEEDS_${cf_excp}"
 cat >conftest.$ac_ext <<_ACEOF
-#line 19930 "configure"
+#line 19982 "configure"
 #include "confdefs.h"
 
 #include <etip.h.in>
@@ -19941,16 +19993,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:19944: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:19996: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:19947: \$? = $ac_status" >&5
+  echo "$as_me:19999: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:19950: \"$ac_try\"") >&5
+  { (eval echo "$as_me:20002: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:19953: \$? = $ac_status" >&5
+  echo "$as_me:20005: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
 	test -n "$cf_math" && cat >>confdefs.h <<EOF
@@ -19971,12 +20023,12 @@
 rm -f conftest.$ac_objext conftest.$ac_ext
 done
 done
-echo "$as_me:19974: result: $cf_result" >&5
+echo "$as_me:20026: result: $cf_result" >&5
 echo "${ECHO_T}$cf_result" >&6
 CXXFLAGS="$cf_save_CXXFLAGS"
 
 if test -n "$CXX"; then
-echo "$as_me:19979: checking if $CXX accepts parameter initialization" >&5
+echo "$as_me:20031: checking if $CXX accepts parameter initialization" >&5
 echo $ECHO_N "checking if $CXX accepts parameter initialization... $ECHO_C" >&6
 if test "${cf_cv_cpp_param_init+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -19993,7 +20045,7 @@
   cf_cv_cpp_param_init=unknown
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 19996 "configure"
+#line 20048 "configure"
 #include "confdefs.h"
 
 class TEST {
@@ -20012,15 +20064,15 @@
 
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:20015: \"$ac_link\"") >&5
+if { (eval echo "$as_me:20067: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:20018: \$? = $ac_status" >&5
+  echo "$as_me:20070: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:20020: \"$ac_try\"") >&5
+  { (eval echo "$as_me:20072: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:20023: \$? = $ac_status" >&5
+  echo "$as_me:20075: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_cpp_param_init=yes
 else
@@ -20039,7 +20091,7 @@
 ac_main_return=return
 
 fi
-echo "$as_me:20042: result: $cf_cv_cpp_param_init" >&5
+echo "$as_me:20094: result: $cf_cv_cpp_param_init" >&5
 echo "${ECHO_T}$cf_cv_cpp_param_init" >&6
 fi
 test "$cf_cv_cpp_param_init" = yes &&
@@ -20049,7 +20101,7 @@
 
 if test -n "$CXX"; then
 
-echo "$as_me:20052: checking if $CXX accepts static_cast" >&5
+echo "$as_me:20104: checking if $CXX accepts static_cast" >&5
 echo $ECHO_N "checking if $CXX accepts static_cast... $ECHO_C" >&6
 if test "${cf_cv_cpp_static_cast+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -20063,7 +20115,7 @@
 ac_main_return=return
 
 	cat >conftest.$ac_ext <<_ACEOF
-#line 20066 "configure"
+#line 20118 "configure"
 #include "confdefs.h"
 
 class NCursesPanel
@@ -20107,16 +20159,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:20110: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:20162: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:20113: \$? = $ac_status" >&5
+  echo "$as_me:20165: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:20116: \"$ac_try\"") >&5
+  { (eval echo "$as_me:20168: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:20119: \$? = $ac_status" >&5
+  echo "$as_me:20171: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_cpp_static_cast=yes
 else
@@ -20134,7 +20186,7 @@
 ac_main_return=return
 
 fi
-echo "$as_me:20137: result: $cf_cv_cpp_static_cast" >&5
+echo "$as_me:20189: result: $cf_cv_cpp_static_cast" >&5
 echo "${ECHO_T}$cf_cv_cpp_static_cast" >&6
 
 fi
@@ -20183,7 +20235,7 @@
 	else
 		if test "$cf_cv_header_stdbool_h" = 1 ; then
 
-echo "$as_me:20186: checking for size of bool" >&5
+echo "$as_me:20238: checking for size of bool" >&5
 echo $ECHO_N "checking for size of bool... $ECHO_C" >&6
 if test "${cf_cv_type_of_bool+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -20194,7 +20246,7 @@
   cf_cv_type_of_bool=unknown
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 20197 "configure"
+#line 20249 "configure"
 #include "confdefs.h"
 
 #include <stdlib.h>
@@ -20236,15 +20288,15 @@
 
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:20239: \"$ac_link\"") >&5
+if { (eval echo "$as_me:20291: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:20242: \$? = $ac_status" >&5
+  echo "$as_me:20294: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:20244: \"$ac_try\"") >&5
+  { (eval echo "$as_me:20296: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:20247: \$? = $ac_status" >&5
+  echo "$as_me:20299: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   cf_cv_type_of_bool=`cat cf_test.out`
 		 if test -z "$cf_cv_type_of_bool"; then
@@ -20262,25 +20314,25 @@
 fi
 
 	rm -f cf_test.out
-echo "$as_me:20265: result: $cf_cv_type_of_bool" >&5
+echo "$as_me:20317: result: $cf_cv_type_of_bool" >&5
 echo "${ECHO_T}$cf_cv_type_of_bool" >&6
 if test "$cf_cv_type_of_bool" = unknown ; then
 	case .$NCURSES_BOOL in #(vi
 	.auto|.) NCURSES_BOOL=unsigned;;
 	esac
-	{ echo "$as_me:20271: WARNING: Assuming $NCURSES_BOOL for type of bool" >&5
+	{ echo "$as_me:20323: WARNING: Assuming $NCURSES_BOOL for type of bool" >&5
 echo "$as_me: WARNING: Assuming $NCURSES_BOOL for type of bool" >&2;}
 	cf_cv_type_of_bool=$NCURSES_BOOL
 fi
 
 		else
-			echo "$as_me:20277: checking for fallback type of bool" >&5
+			echo "$as_me:20329: checking for fallback type of bool" >&5
 echo $ECHO_N "checking for fallback type of bool... $ECHO_C" >&6
 			case "$host_cpu" in #(vi
 			i?86)	cf_cv_type_of_bool=char	;; #(vi
 			*)	cf_cv_type_of_bool=int	;;
 			esac
-			echo "$as_me:20283: result: $cf_cv_type_of_bool" >&5
+			echo "$as_me:20335: result: $cf_cv_type_of_bool" >&5
 echo "${ECHO_T}$cf_cv_type_of_bool" >&6
 		fi
 	fi
@@ -20309,7 +20361,7 @@
 
 	if test "$cf_with_ada" != "no" ; then
 		if test "$with_libtool" != "no"; then
-			{ echo "$as_me:20312: WARNING: libtool does not support Ada - disabling feature" >&5
+			{ echo "$as_me:20364: WARNING: libtool does not support Ada - disabling feature" >&5
 echo "$as_me: WARNING: libtool does not support Ada - disabling feature" >&2;}
 			cf_with_ada=no
 		fi
@@ -20320,7 +20372,7 @@
 cf_ada_make=gnatmake
 # Extract the first word of "$cf_ada_make", so it can be a program name with args.
 set dummy $cf_ada_make; ac_word=$2
-echo "$as_me:20323: checking for $ac_word" >&5
+echo "$as_me:20375: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_gnat_exists+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -20335,7 +20387,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_gnat_exists="yes"
-echo "$as_me:20338: found $ac_dir/$ac_word" >&5
+echo "$as_me:20390: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -20344,10 +20396,10 @@
 fi
 gnat_exists=$ac_cv_prog_gnat_exists
 if test -n "$gnat_exists"; then
-  echo "$as_me:20347: result: $gnat_exists" >&5
+  echo "$as_me:20399: result: $gnat_exists" >&5
 echo "${ECHO_T}$gnat_exists" >&6
 else
-  echo "$as_me:20350: result: no" >&5
+  echo "$as_me:20402: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -20356,12 +20408,12 @@
    cf_cv_prog_gnat_correct=no
 else
 
-echo "$as_me:20359: checking for gnat version" >&5
+echo "$as_me:20411: checking for gnat version" >&5
 echo $ECHO_N "checking for gnat version... $ECHO_C" >&6
 cf_gnat_version=`${cf_ada_make:-gnatmake} -v 2>&1 | \
 	grep '[0-9].[0-9][0-9]*' |\
     sed -e '2,$d' -e 's/[^0-9 \.]//g' -e 's/^[ ]*//' -e 's/ .*//'`
-echo "$as_me:20364: result: $cf_gnat_version" >&5
+echo "$as_me:20416: result: $cf_gnat_version" >&5
 echo "${ECHO_T}$cf_gnat_version" >&6
 
 case $cf_gnat_version in #(vi
@@ -20369,7 +20421,7 @@
 	cf_cv_prog_gnat_correct=yes
 	;;
 *)
-	{ echo "$as_me:20372: WARNING: Unsupported GNAT version $cf_gnat_version. We require 3.11 or better. Disabling Ada95 binding." >&5
+	{ echo "$as_me:20424: WARNING: Unsupported GNAT version $cf_gnat_version. We require 3.11 or better. Disabling Ada95 binding." >&5
 echo "$as_me: WARNING: Unsupported GNAT version $cf_gnat_version. We require 3.11 or better. Disabling Ada95 binding." >&2;}
 	cf_cv_prog_gnat_correct=no
 	;;
@@ -20377,7 +20429,7 @@
 
    # Extract the first word of "m4", so it can be a program name with args.
 set dummy m4; ac_word=$2
-echo "$as_me:20380: checking for $ac_word" >&5
+echo "$as_me:20432: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_M4_exists+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -20392,7 +20444,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_M4_exists="yes"
-echo "$as_me:20395: found $ac_dir/$ac_word" >&5
+echo "$as_me:20447: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -20401,10 +20453,10 @@
 fi
 M4_exists=$ac_cv_prog_M4_exists
 if test -n "$M4_exists"; then
-  echo "$as_me:20404: result: $M4_exists" >&5
+  echo "$as_me:20456: result: $M4_exists" >&5
 echo "${ECHO_T}$M4_exists" >&6
 else
-  echo "$as_me:20407: result: no" >&5
+  echo "$as_me:20459: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -20413,7 +20465,7 @@
       echo Ada95 binding required program m4 not found. Ada95 binding disabled.
    fi
    if test "$cf_cv_prog_gnat_correct" = yes; then
-      echo "$as_me:20416: checking if GNAT works" >&5
+      echo "$as_me:20468: checking if GNAT works" >&5
 echo $ECHO_N "checking if GNAT works... $ECHO_C" >&6
 
 rm -rf conftest* *~conftest*
@@ -20441,7 +20493,7 @@
 fi
 rm -rf conftest* *~conftest*
 
-      echo "$as_me:20444: result: $cf_cv_prog_gnat_correct" >&5
+      echo "$as_me:20496: result: $cf_cv_prog_gnat_correct" >&5
 echo "${ECHO_T}$cf_cv_prog_gnat_correct" >&6
    fi
 fi
@@ -20450,7 +20502,7 @@
 
  	ADAFLAGS="$ADAFLAGS -gnatpn"
 
-	echo "$as_me:20453: checking optimization options for ADAFLAGS" >&5
+	echo "$as_me:20505: checking optimization options for ADAFLAGS" >&5
 echo $ECHO_N "checking optimization options for ADAFLAGS... $ECHO_C" >&6
 	case "$CFLAGS" in
 	*-g*)
@@ -20467,10 +20519,10 @@
 
 		;;
 	esac
-	echo "$as_me:20470: result: $ADAFLAGS" >&5
+	echo "$as_me:20522: result: $ADAFLAGS" >&5
 echo "${ECHO_T}$ADAFLAGS" >&6
 
-echo "$as_me:20473: checking if GNATPREP supports -T option" >&5
+echo "$as_me:20525: checking if GNATPREP supports -T option" >&5
 echo $ECHO_N "checking if GNATPREP supports -T option... $ECHO_C" >&6
 if test "${cf_cv_gnatprep_opt_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -20480,11 +20532,11 @@
 gnatprep -T 2>/dev/null >/dev/null && cf_cv_gnatprep_opt_t=yes
 
 fi
-echo "$as_me:20483: result: $cf_cv_gnatprep_opt_t" >&5
+echo "$as_me:20535: result: $cf_cv_gnatprep_opt_t" >&5
 echo "${ECHO_T}$cf_cv_gnatprep_opt_t" >&6
 test "$cf_cv_gnatprep_opt_t" = yes && GNATPREP_OPTS="-T $GNATPREP_OPTS"
 
-echo "$as_me:20487: checking if GNAT supports generics" >&5
+echo "$as_me:20539: checking if GNAT supports generics" >&5
 echo $ECHO_N "checking if GNAT supports generics... $ECHO_C" >&6
 case $cf_gnat_version in #(vi
 3.[1-9]*|[4-9].*) #(vi
@@ -20494,7 +20546,7 @@
 	cf_gnat_generics=no
 	;;
 esac
-echo "$as_me:20497: result: $cf_gnat_generics" >&5
+echo "$as_me:20549: result: $cf_gnat_generics" >&5
 echo "${ECHO_T}$cf_gnat_generics" >&6
 
 if test "$cf_gnat_generics" = yes
@@ -20506,7 +20558,7 @@
 	cf_generic_objects=
 fi
 
-echo "$as_me:20509: checking if GNAT supports SIGINT" >&5
+echo "$as_me:20561: checking if GNAT supports SIGINT" >&5
 echo $ECHO_N "checking if GNAT supports SIGINT... $ECHO_C" >&6
 if test "${cf_cv_gnat_sigint+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -20554,7 +20606,7 @@
 rm -rf conftest* *~conftest*
 
 fi
-echo "$as_me:20557: result: $cf_cv_gnat_sigint" >&5
+echo "$as_me:20609: result: $cf_cv_gnat_sigint" >&5
 echo "${ECHO_T}$cf_cv_gnat_sigint" >&6
 
 if test $cf_cv_gnat_sigint = yes ; then
@@ -20567,7 +20619,7 @@
 cf_gnat_projects=no
 
 if test "$enable_gnat_projects" != no ; then
-echo "$as_me:20570: checking if GNAT supports project files" >&5
+echo "$as_me:20622: checking if GNAT supports project files" >&5
 echo $ECHO_N "checking if GNAT supports project files... $ECHO_C" >&6
 case $cf_gnat_version in #(vi
 3.[0-9]*) #(vi
@@ -20627,15 +20679,15 @@
 	esac
 	;;
 esac
-echo "$as_me:20630: result: $cf_gnat_projects" >&5
+echo "$as_me:20682: result: $cf_gnat_projects" >&5
 echo "${ECHO_T}$cf_gnat_projects" >&6
 fi # enable_gnat_projects
 
 if test $cf_gnat_projects = yes
 then
-	echo "$as_me:20636: checking if GNAT supports libraries" >&5
+	echo "$as_me:20688: checking if GNAT supports libraries" >&5
 echo $ECHO_N "checking if GNAT supports libraries... $ECHO_C" >&6
-	echo "$as_me:20638: result: $cf_gnat_libraries" >&5
+	echo "$as_me:20690: result: $cf_gnat_libraries" >&5
 echo "${ECHO_T}$cf_gnat_libraries" >&6
 fi
 
@@ -20655,7 +20707,7 @@
 	USE_GNAT_LIBRARIES="#"
 fi
 
-echo "$as_me:20658: checking for ada-compiler" >&5
+echo "$as_me:20710: checking for ada-compiler" >&5
 echo $ECHO_N "checking for ada-compiler... $ECHO_C" >&6
 
 # Check whether --with-ada-compiler or --without-ada-compiler was given.
@@ -20666,12 +20718,12 @@
   cf_ada_compiler=gnatmake
 fi;
 
-echo "$as_me:20669: result: $cf_ada_compiler" >&5
+echo "$as_me:20721: result: $cf_ada_compiler" >&5
 echo "${ECHO_T}$cf_ada_compiler" >&6
 
 			cf_ada_package=terminal_interface
 
-echo "$as_me:20674: checking for ada-include" >&5
+echo "$as_me:20726: checking for ada-include" >&5
 echo $ECHO_N "checking for ada-include... $ECHO_C" >&6
 
 # Check whether --with-ada-include or --without-ada-include was given.
@@ -20707,7 +20759,7 @@
   withval=`echo $withval | sed -e s%NONE%$cf_path_syntax%`
   ;;
 *)
-  { { echo "$as_me:20710: error: expected a pathname, not \"$withval\"" >&5
+  { { echo "$as_me:20762: error: expected a pathname, not \"$withval\"" >&5
 echo "$as_me: error: expected a pathname, not \"$withval\"" >&2;}
    { (exit 1); exit 1; }; }
   ;;
@@ -20716,10 +20768,10 @@
 fi
 eval ADA_INCLUDE="$withval"
 
-echo "$as_me:20719: result: $ADA_INCLUDE" >&5
+echo "$as_me:20771: result: $ADA_INCLUDE" >&5
 echo "${ECHO_T}$ADA_INCLUDE" >&6
 
-echo "$as_me:20722: checking for ada-objects" >&5
+echo "$as_me:20774: checking for ada-objects" >&5
 echo $ECHO_N "checking for ada-objects... $ECHO_C" >&6
 
 # Check whether --with-ada-objects or --without-ada-objects was given.
@@ -20755,7 +20807,7 @@
   withval=`echo $withval | sed -e s%NONE%$cf_path_syntax%`
   ;;
 *)
-  { { echo "$as_me:20758: error: expected a pathname, not \"$withval\"" >&5
+  { { echo "$as_me:20810: error: expected a pathname, not \"$withval\"" >&5
 echo "$as_me: error: expected a pathname, not \"$withval\"" >&2;}
    { (exit 1); exit 1; }; }
   ;;
@@ -20764,10 +20816,10 @@
 fi
 eval ADA_OBJECTS="$withval"
 
-echo "$as_me:20767: result: $ADA_OBJECTS" >&5
+echo "$as_me:20819: result: $ADA_OBJECTS" >&5
 echo "${ECHO_T}$ADA_OBJECTS" >&6
 
-echo "$as_me:20770: checking if an Ada95 shared-library should be built" >&5
+echo "$as_me:20822: checking if an Ada95 shared-library should be built" >&5
 echo $ECHO_N "checking if an Ada95 shared-library should be built... $ECHO_C" >&6
 
 # Check whether --with-ada-sharedlib or --without-ada-sharedlib was given.
@@ -20777,7 +20829,7 @@
 else
   with_ada_sharedlib=no
 fi;
-echo "$as_me:20780: result: $with_ada_sharedlib" >&5
+echo "$as_me:20832: result: $with_ada_sharedlib" >&5
 echo "${ECHO_T}$with_ada_sharedlib" >&6
 
 ADA_SHAREDLIB='lib$(LIB_NAME).so.1'
@@ -20800,13 +20852,13 @@
 
 # do this "late" to avoid conflict with header-checks
 if test "x$with_widec" = xyes ; then
-	echo "$as_me:20803: checking for wchar_t" >&5
+	echo "$as_me:20855: checking for wchar_t" >&5
 echo $ECHO_N "checking for wchar_t... $ECHO_C" >&6
 if test "${ac_cv_type_wchar_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 20809 "configure"
+#line 20861 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -20821,16 +20873,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:20824: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:20876: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:20827: \$? = $ac_status" >&5
+  echo "$as_me:20879: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:20830: \"$ac_try\"") >&5
+  { (eval echo "$as_me:20882: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:20833: \$? = $ac_status" >&5
+  echo "$as_me:20885: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_type_wchar_t=yes
 else
@@ -20840,10 +20892,10 @@
 fi
 rm -f conftest.$ac_objext conftest.$ac_ext
 fi
-echo "$as_me:20843: result: $ac_cv_type_wchar_t" >&5
+echo "$as_me:20895: result: $ac_cv_type_wchar_t" >&5
 echo "${ECHO_T}$ac_cv_type_wchar_t" >&6
 
-echo "$as_me:20846: checking size of wchar_t" >&5
+echo "$as_me:20898: checking size of wchar_t" >&5
 echo $ECHO_N "checking size of wchar_t... $ECHO_C" >&6
 if test "${ac_cv_sizeof_wchar_t+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -20852,7 +20904,7 @@
   if test "$cross_compiling" = yes; then
   # Depending upon the size, compute the lo and hi bounds.
 cat >conftest.$ac_ext <<_ACEOF
-#line 20855 "configure"
+#line 20907 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -20864,21 +20916,21 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:20867: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:20919: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:20870: \$? = $ac_status" >&5
+  echo "$as_me:20922: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:20873: \"$ac_try\"") >&5
+  { (eval echo "$as_me:20925: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:20876: \$? = $ac_status" >&5
+  echo "$as_me:20928: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_lo=0 ac_mid=0
   while :; do
     cat >conftest.$ac_ext <<_ACEOF
-#line 20881 "configure"
+#line 20933 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -20890,16 +20942,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:20893: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:20945: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:20896: \$? = $ac_status" >&5
+  echo "$as_me:20948: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:20899: \"$ac_try\"") >&5
+  { (eval echo "$as_me:20951: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:20902: \$? = $ac_status" >&5
+  echo "$as_me:20954: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_hi=$ac_mid; break
 else
@@ -20915,7 +20967,7 @@
 ac_hi=-1 ac_mid=-1
   while :; do
     cat >conftest.$ac_ext <<_ACEOF
-#line 20918 "configure"
+#line 20970 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -20927,16 +20979,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:20930: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:20982: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:20933: \$? = $ac_status" >&5
+  echo "$as_me:20985: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:20936: \"$ac_try\"") >&5
+  { (eval echo "$as_me:20988: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:20939: \$? = $ac_status" >&5
+  echo "$as_me:20991: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_lo=$ac_mid; break
 else
@@ -20952,7 +21004,7 @@
 while test "x$ac_lo" != "x$ac_hi"; do
   ac_mid=`expr '(' $ac_hi - $ac_lo ')' / 2 + $ac_lo`
   cat >conftest.$ac_ext <<_ACEOF
-#line 20955 "configure"
+#line 21007 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -20964,16 +21016,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext
-if { (eval echo "$as_me:20967: \"$ac_compile\"") >&5
+if { (eval echo "$as_me:21019: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:20970: \$? = $ac_status" >&5
+  echo "$as_me:21022: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:20973: \"$ac_try\"") >&5
+  { (eval echo "$as_me:21025: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:20976: \$? = $ac_status" >&5
+  echo "$as_me:21028: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_hi=$ac_mid
 else
@@ -20986,12 +21038,12 @@
 ac_cv_sizeof_wchar_t=$ac_lo
 else
   if test "$cross_compiling" = yes; then
-  { { echo "$as_me:20989: error: cannot run test program while cross compiling" >&5
+  { { echo "$as_me:21041: error: cannot run test program while cross compiling" >&5
 echo "$as_me: error: cannot run test program while cross compiling" >&2;}
    { (exit 1); exit 1; }; }
 else
   cat >conftest.$ac_ext <<_ACEOF
-#line 20994 "configure"
+#line 21046 "configure"
 #include "confdefs.h"
 $ac_includes_default
 int
@@ -21007,15 +21059,15 @@
 }
 _ACEOF
 rm -f conftest$ac_exeext
-if { (eval echo "$as_me:21010: \"$ac_link\"") >&5
+if { (eval echo "$as_me:21062: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:21013: \$? = $ac_status" >&5
+  echo "$as_me:21065: \$? = $ac_status" >&5
   (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:21015: \"$ac_try\"") >&5
+  { (eval echo "$as_me:21067: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:21018: \$? = $ac_status" >&5
+  echo "$as_me:21070: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
   ac_cv_sizeof_wchar_t=`cat conftest.val`
 else
@@ -21031,7 +21083,7 @@
   ac_cv_sizeof_wchar_t=0
 fi
 fi
-echo "$as_me:21034: result: $ac_cv_sizeof_wchar_t" >&5
+echo "$as_me:21086: result: $ac_cv_sizeof_wchar_t" >&5
 echo "${ECHO_T}$ac_cv_sizeof_wchar_t" >&6
 cat >>confdefs.h <<EOF
 #define SIZEOF_WCHAR_T $ac_cv_sizeof_wchar_t
@@ -21049,7 +21101,7 @@
 ### chooses to split module lists into libraries.
 ###
 ### (see CF_LIB_RULES).
-echo "$as_me:21052: checking for library subsets" >&5
+echo "$as_me:21104: checking for library subsets" >&5
 echo $ECHO_N "checking for library subsets... $ECHO_C" >&6
 LIB_SUBSETS=
 
@@ -21091,7 +21143,7 @@
 test "x$with_widec"     = xyes && LIB_SUBSETS="${LIB_SUBSETS}+widechar"
 test "x$with_ext_funcs" = xyes && LIB_SUBSETS="${LIB_SUBSETS}+ext_funcs"
 
-echo "$as_me:21094: result: $LIB_SUBSETS" >&5
+echo "$as_me:21146: result: $LIB_SUBSETS" >&5
 echo "${ECHO_T}$LIB_SUBSETS" >&6
 
 ### Construct the list of include-directories to be generated
@@ -21122,7 +21174,7 @@
 fi
 
 ### Build up pieces for makefile rules
-echo "$as_me:21125: checking default library suffix" >&5
+echo "$as_me:21177: checking default library suffix" >&5
 echo $ECHO_N "checking default library suffix... $ECHO_C" >&6
 
 	case $DFT_LWR_MODEL in
@@ -21133,10 +21185,10 @@
 	shared)  DFT_ARG_SUFFIX=''   ;;
 	esac
 	test -n "$LIB_SUFFIX" && DFT_ARG_SUFFIX="${LIB_SUFFIX}${DFT_ARG_SUFFIX}"
-echo "$as_me:21136: result: $DFT_ARG_SUFFIX" >&5
+echo "$as_me:21188: result: $DFT_ARG_SUFFIX" >&5
 echo "${ECHO_T}$DFT_ARG_SUFFIX" >&6
 
-echo "$as_me:21139: checking default library-dependency suffix" >&5
+echo "$as_me:21191: checking default library-dependency suffix" >&5
 echo $ECHO_N "checking default library-dependency suffix... $ECHO_C" >&6
 
 	case X$DFT_LWR_MODEL in #(vi
@@ -21191,10 +21243,10 @@
 	esac
 	test -n "$LIB_SUFFIX" && DFT_LIB_SUFFIX="${LIB_SUFFIX}${DFT_LIB_SUFFIX}"
 	test -n "$LIB_SUFFIX" && DFT_DEP_SUFFIX="${LIB_SUFFIX}${DFT_DEP_SUFFIX}"
-echo "$as_me:21194: result: $DFT_DEP_SUFFIX" >&5
+echo "$as_me:21246: result: $DFT_DEP_SUFFIX" >&5
 echo "${ECHO_T}$DFT_DEP_SUFFIX" >&6
 
-echo "$as_me:21197: checking default object directory" >&5
+echo "$as_me:21249: checking default object directory" >&5
 echo $ECHO_N "checking default object directory... $ECHO_C" >&6
 
 	case $DFT_LWR_MODEL in
@@ -21210,11 +21262,11 @@
 			DFT_OBJ_SUBDIR='obj_s' ;;
 		esac
 	esac
-echo "$as_me:21213: result: $DFT_OBJ_SUBDIR" >&5
+echo "$as_me:21265: result: $DFT_OBJ_SUBDIR" >&5
 echo "${ECHO_T}$DFT_OBJ_SUBDIR" >&6
 
 if test "x$cf_with_cxx" = xyes ; then
-echo "$as_me:21217: checking c++ library-dependency suffix" >&5
+echo "$as_me:21269: checking c++ library-dependency suffix" >&5
 echo $ECHO_N "checking c++ library-dependency suffix... $ECHO_C" >&6
 if test "$with_libtool" != "no"; then
 	# libtool thinks it can make c++ shared libraries (perhaps only g++)
@@ -21279,7 +21331,7 @@
 	test -n "$LIB_SUFFIX" && CXX_DEP_SUFFIX="${LIB_SUFFIX}${CXX_DEP_SUFFIX}"
 
 fi
-echo "$as_me:21282: result: $CXX_LIB_SUFFIX" >&5
+echo "$as_me:21334: result: $CXX_LIB_SUFFIX" >&5
 echo "${ECHO_T}$CXX_LIB_SUFFIX" >&6
 
 fi
@@ -21444,19 +21496,19 @@
 
 if test -n "$LDFLAGS_STATIC" && test -n "$LDFLAGS_SHARED"
 then
-	echo "$as_me:21447: checking if linker supports switching between static/dynamic" >&5
+	echo "$as_me:21499: checking if linker supports switching between static/dynamic" >&5
 echo $ECHO_N "checking if linker supports switching between static/dynamic... $ECHO_C" >&6
 
 	rm -f libconftest.a
 	cat >conftest.$ac_ext <<EOF
-#line 21452 "configure"
+#line 21504 "configure"
 #include <stdio.h>
 int cf_ldflags_static(FILE *fp) { return fflush(fp); }
 EOF
-	if { (eval echo "$as_me:21456: \"$ac_compile\"") >&5
+	if { (eval echo "$as_me:21508: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
-  echo "$as_me:21459: \$? = $ac_status" >&5
+  echo "$as_me:21511: \$? = $ac_status" >&5
   (exit $ac_status); } ; then
 		( $AR $ARFLAGS libconftest.a conftest.o ) 2>&5 1>/dev/null
 		( eval $RANLIB libconftest.a ) 2>&5 >/dev/null
@@ -21467,10 +21519,10 @@
 
 	LIBS="$LDFLAGS_STATIC -L`pwd` -lconftest $LDFLAGS_DYNAMIC $LIBS"
 	cat >conftest.$ac_ext <<_ACEOF
-#line 21470 "configure"
+#line 21522 "configure"
 #include "confdefs.h"
 
-#line 21473 "configure"
+#line 21525 "configure"
 #include <stdio.h>
 int cf_ldflags_static(FILE *fp);
 
@@ -21485,16 +21537,16 @@
 }
 _ACEOF
 rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:21488: \"$ac_link\"") >&5
+if { (eval echo "$as_me:21540: \"$ac_link\"") >&5
   (eval $ac_link) 2>&5
   ac_status=$?
-  echo "$as_me:21491: \$? = $ac_status" >&5
+  echo "$as_me:21543: \$? = $ac_status" >&5
   (exit $ac_status); } &&
          { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:21494: \"$ac_try\"") >&5
+  { (eval echo "$as_me:21546: \"$ac_try\"") >&5
   (eval $ac_try) 2>&5
   ac_status=$?
-  echo "$as_me:21497: \$? = $ac_status" >&5
+  echo "$as_me:21549: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
 
 	# some linkers simply ignore the -dynamic
@@ -21517,7 +21569,7 @@
 	rm -f libconftest.*
 	LIBS="$cf_save_LIBS"
 
-	echo "$as_me:21520: result: $cf_ldflags_static" >&5
+	echo "$as_me:21572: result: $cf_ldflags_static" >&5
 echo "${ECHO_T}$cf_ldflags_static" >&6
 
 	if test $cf_ldflags_static != yes
@@ -21533,7 +21585,7 @@
 	;;
 esac
 
-echo "$as_me:21536: checking where we will install curses.h" >&5
+echo "$as_me:21588: checking where we will install curses.h" >&5
 echo $ECHO_N "checking where we will install curses.h... $ECHO_C" >&6
 
 includesubdir=
@@ -21543,7 +21595,7 @@
 then
 	includesubdir="/ncurses${LIB_SUFFIX}"
 fi
-echo "$as_me:21546: result: ${includedir}${includesubdir}" >&5
+echo "$as_me:21598: result: ${includedir}${includesubdir}" >&5
 echo "${ECHO_T}${includedir}${includesubdir}" >&6
 
 ### Resolve a conflict between normal and wide-curses by forcing applications
@@ -21551,7 +21603,7 @@
 if test "$with_overwrite" != no ; then
 if test "$NCURSES_LIBUTF8" = 1 ; then
 	NCURSES_LIBUTF8='defined(HAVE_LIBUTF8_H)'
-	{ echo "$as_me:21554: WARNING: Wide-character applications must define HAVE_LIBUTF8_H to include curses.h" >&5
+	{ echo "$as_me:21606: WARNING: Wide-character applications must define HAVE_LIBUTF8_H to include curses.h" >&5
 echo "$as_me: WARNING: Wide-character applications must define HAVE_LIBUTF8_H to include curses.h" >&2;}
 fi
 fi
@@ -21569,7 +21621,7 @@
 ### Construct the list of subdirectories for which we'll customize makefiles
 ### with the appropriate compile-rules.
 
-echo "$as_me:21572: checking for src modules" >&5
+echo "$as_me:21624: checking for src modules" >&5
 echo $ECHO_N "checking for src modules... $ECHO_C" >&6
 
 # dependencies and linker-arguments for test-programs
@@ -21634,7 +21686,7 @@
 		fi
 	fi
 done
-echo "$as_me:21637: result: $cf_cv_src_modules" >&5
+echo "$as_me:21689: result: $cf_cv_src_modules" >&5
 echo "${ECHO_T}$cf_cv_src_modules" >&6
 
 TEST_ARGS="-L${LIB_DIR} $TEST_ARGS"
@@ -21854,7 +21906,7 @@
 
 # Extract the first word of "tic", so it can be a program name with args.
 set dummy tic; ac_word=$2
-echo "$as_me:21857: checking for $ac_word" >&5
+echo "$as_me:21909: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_path_TIC_PATH+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -21871,7 +21923,7 @@
   test -z "$ac_dir" && ac_dir=.
   if $as_executable_p "$ac_dir/$ac_word"; then
    ac_cv_path_TIC_PATH="$ac_dir/$ac_word"
-   echo "$as_me:21874: found $ac_dir/$ac_word" >&5
+   echo "$as_me:21926: found $ac_dir/$ac_word" >&5
    break
 fi
 done
@@ -21883,10 +21935,10 @@
 TIC_PATH=$ac_cv_path_TIC_PATH
 
 if test -n "$TIC_PATH"; then
-  echo "$as_me:21886: result: $TIC_PATH" >&5
+  echo "$as_me:21938: result: $TIC_PATH" >&5
 echo "${ECHO_T}$TIC_PATH" >&6
 else
-  echo "$as_me:21889: result: no" >&5
+  echo "$as_me:21941: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -21894,7 +21946,7 @@
 then
 	if test "$TIC_PATH" = unknown
 	then
-		{ echo "$as_me:21897: WARNING: no tic program found for fallbacks" >&5
+		{ echo "$as_me:21949: WARNING: no tic program found for fallbacks" >&5
 echo "$as_me: WARNING: no tic program found for fallbacks" >&2;}
 	fi
 fi
@@ -21920,7 +21972,7 @@
 	*-D_XOPEN_SOURCE_EXTENDED*)
 		test -n "$verbose" && echo "	moving _XOPEN_SOURCE_EXTENDED to work around g++ problem" 1>&6
 
-echo "${as_me:-configure}:21923: testing moving _XOPEN_SOURCE_EXTENDED to work around g++ problem ..." 1>&5
+echo "${as_me:-configure}:21975: testing moving _XOPEN_SOURCE_EXTENDED to work around g++ problem ..." 1>&5
 
 		CFLAGS="$CFLAGS -D_XOPEN_SOURCE_EXTENDED"
 		CPPFLAGS=`echo "x$CPPFLAGS" | sed -e  's/^.//' -e 's/-D_XOPEN_SOURCE_EXTENDED//'`
@@ -21982,14 +22034,14 @@
 	[6789])
 		test -n "$verbose" && echo "	will map symbols to ABI=$cf_cv_abi_version" 1>&6
 
-echo "${as_me:-configure}:21985: testing will map symbols to ABI=$cf_cv_abi_version ..." 1>&5
+echo "${as_me:-configure}:22037: testing will map symbols to ABI=$cf_cv_abi_version ..." 1>&5
 
 		RESULTING_SYMS=resulting.map
 		;;
 	*)
 		test -n "$verbose" && echo "	will map symbols to default ABI" 1>&6
 
-echo "${as_me:-configure}:21992: testing will map symbols to default ABI ..." 1>&5
+echo "${as_me:-configure}:22044: testing will map symbols to default ABI ..." 1>&5
 
 		;;
 	esac
@@ -22078,7 +22130,7 @@
 : ${CONFIG_STATUS=./config.status}
 ac_clean_files_save=$ac_clean_files
 ac_clean_files="$ac_clean_files $CONFIG_STATUS"
-{ echo "$as_me:22081: creating $CONFIG_STATUS" >&5
+{ echo "$as_me:22133: creating $CONFIG_STATUS" >&5
 echo "$as_me: creating $CONFIG_STATUS" >&6;}
 cat >$CONFIG_STATUS <<_ACEOF
 #! $SHELL
@@ -22254,7 +22306,7 @@
     echo "$ac_cs_version"; exit 0 ;;
   --he | --h)
     # Conflict between --help and --header
-    { { echo "$as_me:22257: error: ambiguous option: $1
+    { { echo "$as_me:22309: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: ambiguous option: $1
 Try \`$0 --help' for more information." >&2;}
@@ -22273,7 +22325,7 @@
     ac_need_defaults=false;;
 
   # This is an error.
-  -*) { { echo "$as_me:22276: error: unrecognized option: $1
+  -*) { { echo "$as_me:22328: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&5
 echo "$as_me: error: unrecognized option: $1
 Try \`$0 --help' for more information." >&2;}
@@ -22386,7 +22438,7 @@
   "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
   "default" ) CONFIG_COMMANDS="$CONFIG_COMMANDS default" ;;
   "include/ncurses_cfg.h" ) CONFIG_HEADERS="$CONFIG_HEADERS include/ncurses_cfg.h:include/ncurses_cfg.hin" ;;
-  *) { { echo "$as_me:22389: error: invalid argument: $ac_config_target" >&5
+  *) { { echo "$as_me:22441: error: invalid argument: $ac_config_target" >&5
 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
    { (exit 1); exit 1; }; };;
   esac
@@ -22834,7 +22886,7 @@
   esac
 
   if test x"$ac_file" != x-; then
-    { echo "$as_me:22837: creating $ac_file" >&5
+    { echo "$as_me:22889: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
     rm -f "$ac_file"
   fi
@@ -22852,7 +22904,7 @@
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:22855: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:22907: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -22865,7 +22917,7 @@
            echo $srcdir/$f
          else
            # /dev/null tree
-           { { echo "$as_me:22868: error: cannot find input file: $f" >&5
+           { { echo "$as_me:22920: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -22881,7 +22933,7 @@
       if test -n "$ac_seen"; then
         ac_used=`grep '@datarootdir@' $ac_item`
         if test -z "$ac_used"; then
-          { echo "$as_me:22884: WARNING: datarootdir was used implicitly but not set:
+          { echo "$as_me:22936: WARNING: datarootdir was used implicitly but not set:
 $ac_seen" >&5
 echo "$as_me: WARNING: datarootdir was used implicitly but not set:
 $ac_seen" >&2;}
@@ -22890,7 +22942,7 @@
       fi
       ac_seen=`grep '${datarootdir}' $ac_item`
       if test -n "$ac_seen"; then
-        { echo "$as_me:22893: WARNING: datarootdir was used explicitly but not set:
+        { echo "$as_me:22945: WARNING: datarootdir was used explicitly but not set:
 $ac_seen" >&5
 echo "$as_me: WARNING: datarootdir was used explicitly but not set:
 $ac_seen" >&2;}
@@ -22927,7 +22979,7 @@
             ac_init=`egrep '[ 	]*'$ac_name'[ 	]*=' $ac_file`
             if test -z "$ac_init"; then
               ac_seen=`echo "$ac_seen" |sed -e 's,^,'$ac_file':,'`
-              { echo "$as_me:22930: WARNING: Variable $ac_name is used but was not set:
+              { echo "$as_me:22982: WARNING: Variable $ac_name is used but was not set:
 $ac_seen" >&5
 echo "$as_me: WARNING: Variable $ac_name is used but was not set:
 $ac_seen" >&2;}
@@ -22938,7 +22990,7 @@
     egrep -n '@[A-Z_][A-Z_0-9]+@' $ac_file >>$tmp/out
     if test -s $tmp/out; then
       ac_seen=`sed -e 's,^,'$ac_file':,' < $tmp/out`
-      { echo "$as_me:22941: WARNING: Some variables may not be substituted:
+      { echo "$as_me:22993: WARNING: Some variables may not be substituted:
 $ac_seen" >&5
 echo "$as_me: WARNING: Some variables may not be substituted:
 $ac_seen" >&2;}
@@ -22987,7 +23039,7 @@
   * )   ac_file_in=$ac_file.in ;;
   esac
 
-  test x"$ac_file" != x- && { echo "$as_me:22990: creating $ac_file" >&5
+  test x"$ac_file" != x- && { echo "$as_me:23042: creating $ac_file" >&5
 echo "$as_me: creating $ac_file" >&6;}
 
   # First look for the input files in the build tree, otherwise in the
@@ -22998,7 +23050,7 @@
       -) echo $tmp/stdin ;;
       [\\/$]*)
          # Absolute (can't be DOS-style, as IFS=:)
-         test -f "$f" || { { echo "$as_me:23001: error: cannot find input file: $f" >&5
+         test -f "$f" || { { echo "$as_me:23053: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          echo $f;;
@@ -23011,7 +23063,7 @@
            echo $srcdir/$f
          else
            # /dev/null tree
-           { { echo "$as_me:23014: error: cannot find input file: $f" >&5
+           { { echo "$as_me:23066: error: cannot find input file: $f" >&5
 echo "$as_me: error: cannot find input file: $f" >&2;}
    { (exit 1); exit 1; }; }
          fi;;
@@ -23069,7 +23121,7 @@
   rm -f $tmp/in
   if test x"$ac_file" != x-; then
     if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
-      { echo "$as_me:23072: $ac_file is unchanged" >&5
+      { echo "$as_me:23124: $ac_file is unchanged" >&5
 echo "$as_me: $ac_file is unchanged" >&6;}
     else
       ac_dir=`$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
@@ -23174,7 +23226,7 @@
 
 # Generated by CF_LIB_RULES
 resulting.map: $UNALTERED_SYMS
-	sed -e "s/NCURSES_/NCURSES${cf_cv_abi_version}_/g" < $UNALTERED_SYMS >\$@
+	sed -e "s/NCURSES\\([WT]\\+\\)\?_/NCURSES\\1${cf_cv_abi_version}_/g" < $UNALTERED_SYMS >\$@
 
 clean::
 	rm -f resulting.map
@@ -23386,7 +23438,7 @@
 				cygdll|msysdll|mingw) #(vi
 					test "x$with_shared_cxx" = xno && test -n "$verbose" && echo "	overriding CXX_MODEL to SHARED" 1>&6
 
-echo "${as_me:-configure}:23389: testing overriding CXX_MODEL to SHARED ..." 1>&5
+echo "${as_me:-configure}:23441: testing overriding CXX_MODEL to SHARED ..." 1>&5
 
 					with_shared_cxx=yes
 					;;
Index: configure.in
Prereq:  1.595 
--- ncurses-5.9-20141227+/configure.in	2014-12-21 17:25:38.000000000 +0000
+++ ncurses-5.9-20150103/configure.in	2015-01-03 20:44:55.000000000 +0000
@@ -28,14 +28,14 @@
 dnl
 dnl Author: Thomas E. Dickey 1995-on
 dnl
-dnl $Id: configure.in,v 1.595 2014/12/21 17:25:38 tom Exp $
+dnl $Id: configure.in,v 1.596 2015/01/03 20:44:55 tom Exp $
 dnl Process this file with autoconf to produce a configure script.
 dnl
 dnl See http://invisible-island.net/autoconf/ for additional information.
 dnl
 dnl ---------------------------------------------------------------------------
 AC_PREREQ(2.52.20030208)
-AC_REVISION($Revision: 1.595 $)
+AC_REVISION($Revision: 1.596 $)
 AC_INIT(ncurses/base/lib_initscr.c)
 AC_CONFIG_HEADER(include/ncurses_cfg.h:include/ncurses_cfg.hin)
 
@@ -1550,6 +1550,7 @@
 	AC_FUNC_SETVBUF_REVERSED
 fi
 AC_CHECK_TYPE(intptr_t, long)
+AC_CHECK_TYPE(ssize_t, int)
 CF_TYPE_SIGACTION
 CF_SIZECHANGE
 CF_FUNC_MEMMOVE
Index: dist.mk
Prereq:  1.1022 
--- ncurses-5.9-20141227+/dist.mk	2014-12-27 16:47:48.000000000 +0000
+++ ncurses-5.9-20150103/dist.mk	2015-01-03 20:47:45.000000000 +0000
@@ -1,5 +1,5 @@
 ##############################################################################
-# Copyright (c) 1998-2013,2014 Free Software Foundation, Inc.                #
+# Copyright (c) 1998-2014,2015 Free Software Foundation, Inc.                #
 #                                                                            #
 # Permission is hereby granted, free of charge, to any person obtaining a    #
 # copy of this software and associated documentation files (the "Software"), #
@@ -25,7 +25,7 @@
 # use or other dealings in this Software without prior written               #
 # authorization.                                                             #
 ##############################################################################
-# $Id: dist.mk,v 1.1022 2014/12/27 16:47:48 tom Exp $
+# $Id: dist.mk,v 1.1024 2015/01/03 20:47:45 tom Exp $
 # Makefile for creating ncurses distributions.
 #
 # This only needs to be used directly as a makefile by developers, but
@@ -37,7 +37,7 @@
 # These define the major/minor/patch versions of ncurses.
 NCURSES_MAJOR = 5
 NCURSES_MINOR = 9
-NCURSES_PATCH = 20141227
+NCURSES_PATCH = 20150103
 
 # We don't append the patch to the version, since this only applies to releases
 VERSION = $(NCURSES_MAJOR).$(NCURSES_MINOR)
Index: ncurses/tinfo/lib_tputs.c
Prereq:  1.93 
--- ncurses-5.9-20141227+/ncurses/tinfo/lib_tputs.c	2013-01-12 20:57:32.000000000 +0000
+++ ncurses-5.9-20150103/ncurses/tinfo/lib_tputs.c	2015-01-03 23:51:23.000000000 +0000
@@ -1,5 +1,5 @@
 /****************************************************************************
- * Copyright (c) 1998-2012,2013 Free Software Foundation, Inc.              *
+ * Copyright (c) 1998-2013,2015 Free Software Foundation, Inc.              *
  *                                                                          *
  * Permission is hereby granted, free of charge, to any person obtaining a  *
  * copy of this software and associated documentation files (the            *
@@ -51,7 +51,7 @@
 #include <termcap.h>		/* ospeed */
 #include <tic.h>
 
-MODULE_ID("$Id: lib_tputs.c,v 1.93 2013/01/12 20:57:32 tom Exp $")
+MODULE_ID("$Id: lib_tputs.c,v 1.96 2015/01/03 23:51:23 tom Exp $")
 
 NCURSES_EXPORT_VAR(char) PC = 0;              /* used by termcap library */
 NCURSES_EXPORT_VAR(NCURSES_OSPEED) ospeed = 0;        /* used by termcap library */
@@ -121,13 +121,26 @@
 {
     if (SP_PARM != 0 && SP_PARM->_ofd >= 0) {
 	if (SP_PARM->out_inuse) {
+	    char *buf = SP_PARM->out_buffer;
 	    size_t amount = SP->out_inuse;
-	    /*
-	     * Help a little, if the write is interrupted, by first resetting
-	     * our amount.
-	     */
+	    ssize_t res;
+
 	    SP->out_inuse = 0;
-	    IGNORE_RC(write(SP_PARM->_ofd, SP_PARM->out_buffer, amount));
+	    while (amount) {
+		res = write(SP_PARM->_ofd, buf, amount);
+
+		if (res > 0) {
+		    /* if the write was incomplete, try again */
+		    amount -= (size_t) res;
+		    buf += res;
+		} else if (errno == EAGAIN) {
+		    continue;
+		} else if (errno == EINTR) {
+		    continue;
+		} else {
+		    break;	/* an error we can not recover from */
+		}
+	    }
 	}
     }
 }
Index: package/debian-mingw/changelog
--- ncurses-5.9-20141227+/package/debian-mingw/changelog	2014-12-27 16:47:48.000000000 +0000
+++ ncurses-5.9-20150103/package/debian-mingw/changelog	2015-01-03 13:36:07.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (5.9+20141227) unstable; urgency=low
+ncurses6 (5.9+20150103) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 27 Dec 2014 11:47:48 -0500
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 03 Jan 2015 08:36:07 -0500
 
 ncurses6 (5.9-20131005) unstable; urgency=low
 
Index: package/debian-mingw/copyright
--- ncurses-5.9-20141227+/package/debian-mingw/copyright	2014-01-19 00:01:25.000000000 +0000
+++ ncurses-5.9-20150103/package/debian-mingw/copyright	2015-01-03 20:48:46.000000000 +0000
@@ -1,6 +1,6 @@
 This package is used for testing builds of ncurses.
 
-Copyright (c) 1998-2013,2014 Free Software Foundation, Inc.
+Copyright (c) 1998-2014,2015 Free Software Foundation, Inc.
 Copyright © 2001 by Pradeep Padala
 
 Permission is hereby granted, free of charge, to any person obtaining a
@@ -81,7 +81,7 @@
 SUCH DAMAGE.
 
 
-Copyright 1996-2013,2014 by Thomas E. Dickey
+Copyright 1996-2014,2015 by Thomas E. Dickey
 
                         All Rights Reserved
 
Index: package/debian-mingw64/changelog
--- ncurses-5.9-20141227+/package/debian-mingw64/changelog	2014-12-27 16:47:48.000000000 +0000
+++ ncurses-5.9-20150103/package/debian-mingw64/changelog	2015-01-03 13:36:07.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (5.9+20141227) unstable; urgency=low
+ncurses6 (5.9+20150103) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 27 Dec 2014 11:47:48 -0500
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 03 Jan 2015 08:36:07 -0500
 
 ncurses6 (5.9-20131005) unstable; urgency=low
 
Index: package/debian-mingw64/copyright
--- ncurses-5.9-20141227+/package/debian-mingw64/copyright	2014-01-19 00:01:49.000000000 +0000
+++ ncurses-5.9-20150103/package/debian-mingw64/copyright	2015-01-03 20:48:55.000000000 +0000
@@ -1,6 +1,6 @@
 This package is used for testing builds of ncurses.
 
-Copyright (c) 1998-2013,2014 Free Software Foundation, Inc.
+Copyright (c) 1998-2014,2015 Free Software Foundation, Inc.
 Copyright © 2001 by Pradeep Padala
 
 Permission is hereby granted, free of charge, to any person obtaining a
@@ -81,7 +81,7 @@
 SUCH DAMAGE.
 
 
-Copyright 1996-2013,2014 by Thomas E. Dickey
+Copyright 1996-2014,2015 by Thomas E. Dickey
 
                         All Rights Reserved
 
Index: package/debian/changelog
--- ncurses-5.9-20141227+/package/debian/changelog	2014-12-27 16:47:48.000000000 +0000
+++ ncurses-5.9-20150103/package/debian/changelog	2015-01-03 13:36:07.000000000 +0000
@@ -1,8 +1,8 @@
-ncurses6 (5.9+20141227) unstable; urgency=low
+ncurses6 (5.9+20150103) unstable; urgency=low
 
   * latest weekly patch
 
- -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 27 Dec 2014 11:47:48 -0500
+ -- Thomas E. Dickey <dickey@invisible-island.net>  Sat, 03 Jan 2015 08:36:07 -0500
 
 ncurses6 (5.9-20120608) unstable; urgency=low
 
Index: package/debian/copyright
--- ncurses-5.9-20141227+/package/debian/copyright	2014-01-19 00:00:58.000000000 +0000
+++ ncurses-5.9-20150103/package/debian/copyright	2015-01-03 20:48:27.000000000 +0000
@@ -1,6 +1,6 @@
 This package is used for testing builds of ncurses.
 
-Copyright (c) 1998-2013,2014 Free Software Foundation, Inc.
+Copyright (c) 1998-2014,2015 Free Software Foundation, Inc.
 Copyright © 2001 by Pradeep Padala
 
 Permission is hereby granted, free of charge, to any person obtaining a
@@ -81,7 +81,7 @@
 SUCH DAMAGE.
 
 
-Copyright 1996-2013,2014 by Thomas E. Dickey
+Copyright 1996-2014,2015 by Thomas E. Dickey
 
                         All Rights Reserved
 
Index: package/mingw-ncurses.nsi
Prereq:  1.77 
--- ncurses-5.9-20141227+/package/mingw-ncurses.nsi	2014-12-27 16:47:48.000000000 +0000
+++ ncurses-5.9-20150103/package/mingw-ncurses.nsi	2015-01-03 13:36:07.000000000 +0000
@@ -1,4 +1,4 @@
-; $Id: mingw-ncurses.nsi,v 1.77 2014/12/27 16:47:48 tom Exp $
+; $Id: mingw-ncurses.nsi,v 1.78 2015/01/03 13:36:07 tom Exp $
 
 ; TODO add examples
 ; TODO bump ABI to 6
@@ -9,8 +9,8 @@
 
 !define VERSION_MAJOR "5"
 !define VERSION_MINOR "9"
-!define VERSION_YYYY  "2014"
-!define VERSION_MMDD  "1227"
+!define VERSION_YYYY  "2015"
+!define VERSION_MMDD  "0103"
 !define VERSION_PATCH ${VERSION_YYYY}${VERSION_MMDD}
 
 !define MY_ABI   "5"
Index: package/mingw-ncurses.spec
--- ncurses-5.9-20141227+/package/mingw-ncurses.spec	2014-12-27 16:47:48.000000000 +0000
+++ ncurses-5.9-20150103/package/mingw-ncurses.spec	2015-01-03 13:36:07.000000000 +0000
@@ -3,7 +3,7 @@
 Summary: shared libraries for terminal handling
 Name: mingw32-ncurses6
 Version: 5.9
-Release: 20141227
+Release: 20150103
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{version}-%{release}.tgz
Index: package/ncurses.map
Prereq:  1.26 
--- ncurses-5.9-20141227+/package/ncurses.map	2014-12-13 18:48:45.000000000 +0000
+++ ncurses-5.9-20150103/package/ncurses.map	2015-01-03 23:22:56.000000000 +0000
@@ -1,8 +1,8 @@
-# $Id: ncurses.map,v 1.26 2014/12/13 18:48:45 tom Exp $
+# $Id: ncurses.map,v 1.28 2015/01/03 23:22:56 tom Exp $
 # script for shared library symbol-versioning using ld
 #
 # This file was generated by ncu-mapsyms
-# Configure options (merged 5 builds):
+# Configure options (merged 7 builds):
 #	'CFLAGS=-O'
 #	--disable-echo
 #	--disable-getcap
@@ -19,6 +19,7 @@
 #	--enable-warnings
 #	--enable-wgetch-events
 #	--verbose
+#	--with-broken-linker
 #	--with-shared
 #	--with-termlib
 #	--with-ticlib
@@ -466,7 +467,6 @@
 		_nc_background;
 		_nc_do_color;
 		_nc_expanded;
-		_nc_freeall;
 		_nc_freewin;
 		_nc_has_mouse;
 		_nc_hash_map;
@@ -799,6 +799,7 @@
 		_nc_free_entries;
 		_nc_free_termtype;
 		_nc_free_tparm;
+		_nc_freeall;
 		_nc_get_hash_table;
 		_nc_get_table;
 		_nc_get_tty_mode;
Index: package/ncurses.spec
--- ncurses-5.9-20141227+/package/ncurses.spec	2014-12-27 16:47:48.000000000 +0000
+++ ncurses-5.9-20150103/package/ncurses.spec	2015-01-03 13:36:07.000000000 +0000
@@ -1,7 +1,7 @@
 Summary: shared libraries for terminal handling
 Name: ncurses6
 Version: 5.9
-Release: 20141227
+Release: 20150103
 License: X11
 Group: Development/Libraries
 Source: ncurses-%{version}-%{release}.tgz
Index: package/ncurses.sym
Prereq:  1.15 
--- ncurses-5.9-20141227+/package/ncurses.sym	2014-12-13 18:37:12.000000000 +0000
+++ ncurses-5.9-20150103/package/ncurses.sym	2015-01-03 23:05:24.000000000 +0000
@@ -1,8 +1,8 @@
-# $Id: ncurses.sym,v 1.15 2014/12/13 18:37:12 tom Exp $
+# $Id: ncurses.sym,v 1.17 2015/01/03 23:05:24 tom Exp $
 # script for shared library symbol-visibility using libtool
 #
 # This file was generated by ncu-mapsyms
-# Configure options (merged 5 builds):
+# Configure options (merged 7 builds):
 #	'CFLAGS=-O'
 #	--disable-echo
 #	--disable-getcap
@@ -19,6 +19,7 @@
 #	--enable-warnings
 #	--enable-wgetch-events
 #	--verbose
+#	--with-broken-linker
 #	--with-shared
 #	--with-termlib
 #	--with-ticlib
@@ -78,6 +79,7 @@
 _nc_free_tic
 _nc_free_tinfo
 _nc_free_tparm
+_nc_freeall
 _nc_get_alias_table
 _nc_get_hash_table
 _nc_get_locale
Index: package/ncursest.map
Prereq:  1.18 
--- ncurses-5.9-20141227+/package/ncursest.map	2014-12-27 17:31:30.000000000 +0000
+++ ncurses-5.9-20150103/package/ncursest.map	2015-01-03 23:22:56.000000000 +0000
@@ -1,8 +1,8 @@
-# $Id: ncursest.map,v 1.18 2014/12/27 17:31:30 tom Exp $
+# $Id: ncursest.map,v 1.21 2015/01/03 23:22:56 tom Exp $
 # script for shared library symbol-versioning using ld
 #
 # This file was generated by ncu-mapsyms
-# Configure options (merged 7 builds):
+# Configure options (merged 9 builds):
 #	'CFLAGS=-O'
 #	--disable-echo
 #	--disable-getcap
@@ -20,6 +20,7 @@
 #	--enable-warnings
 #	--enable-wgetch-events
 #	--verbose
+#	--with-broken-linker
 #	--with-pthread
 #	--with-shared
 #	--with-termlib
@@ -111,6 +112,7 @@
 		_nc_free_entries;
 		_nc_free_termtype;
 		_nc_free_tparm;
+		_nc_freeall;
 		_nc_get_hash_table;
 		_nc_get_table;
 		_nc_get_tty_mode;
@@ -909,7 +911,6 @@
 		_nc_do_color;
 		_nc_expanded;
 		_nc_fifo_dump;
-		_nc_freeall;
 		_nc_freewin;
 		_nc_has_mouse;
 		_nc_hash_map;
Index: package/ncursest.sym
Prereq:  1.14 
--- ncurses-5.9-20141227+/package/ncursest.sym	2014-12-13 18:44:45.000000000 +0000
+++ ncurses-5.9-20150103/package/ncursest.sym	2015-01-03 23:17:01.000000000 +0000
@@ -1,8 +1,8 @@
-# $Id: ncursest.sym,v 1.14 2014/12/13 18:44:45 tom Exp $
+# $Id: ncursest.sym,v 1.16 2015/01/03 23:17:01 tom Exp $
 # script for shared library symbol-visibility using libtool
 #
 # This file was generated by ncu-mapsyms
-# Configure options (merged 7 builds):
+# Configure options (merged 9 builds):
 #	'CFLAGS=-O'
 #	--disable-echo
 #	--disable-getcap
@@ -20,6 +20,7 @@
 #	--enable-warnings
 #	--enable-wgetch-events
 #	--verbose
+#	--with-broken-linker
 #	--with-pthread
 #	--with-shared
 #	--with-termlib
@@ -84,6 +85,7 @@
 _nc_free_termtype
 _nc_free_tic
 _nc_free_tinfo
+_nc_freeall
 _nc_get_alias_table
 _nc_get_hash_table
 _nc_get_locale
Index: package/ncursestw.map
Prereq:  1.19 
--- ncurses-5.9-20141227+/package/ncursestw.map	2014-12-27 17:31:30.000000000 +0000
+++ ncurses-5.9-20150103/package/ncursestw.map	2015-01-03 23:22:57.000000000 +0000
@@ -1,8 +1,8 @@
-# $Id: ncursestw.map,v 1.19 2014/12/27 17:31:30 tom Exp $
+# $Id: ncursestw.map,v 1.22 2015/01/03 23:22:57 tom Exp $
 # script for shared library symbol-versioning using ld
 #
 # This file was generated by ncu-mapsyms
-# Configure options (merged 7 builds):
+# Configure options (merged 9 builds):
 #	'CFLAGS=-O'
 #	--disable-echo
 #	--disable-getcap
@@ -21,6 +21,7 @@
 #	--enable-wgetch-events
 #	--enable-widec
 #	--verbose
+#	--with-broken-linker
 #	--with-pthread
 #	--with-shared
 #	--with-termlib
@@ -112,6 +113,7 @@
 		_nc_free_entries;
 		_nc_free_termtype;
 		_nc_free_tparm;
+		_nc_freeall;
 		_nc_get_hash_table;
 		_nc_get_table;
 		_nc_get_tty_mode;
@@ -1017,7 +1019,6 @@
 		_nc_do_color;
 		_nc_expanded;
 		_nc_fifo_dump;
-		_nc_freeall;
 		_nc_freewin;
 		_nc_has_mouse;
 		_nc_hash_map;
Index: package/ncursestw.sym
Prereq:  1.13 
--- ncurses-5.9-20141227+/package/ncursestw.sym	2014-12-13 18:48:44.000000000 +0000
+++ ncurses-5.9-20150103/package/ncursestw.sym	2015-01-03 23:22:56.000000000 +0000
@@ -1,8 +1,8 @@
-# $Id: ncursestw.sym,v 1.13 2014/12/13 18:48:44 tom Exp $
+# $Id: ncursestw.sym,v 1.15 2015/01/03 23:22:56 tom Exp $
 # script for shared library symbol-visibility using libtool
 #
 # This file was generated by ncu-mapsyms
-# Configure options (merged 7 builds):
+# Configure options (merged 9 builds):
 #	'CFLAGS=-O'
 #	--disable-echo
 #	--disable-getcap
@@ -21,6 +21,7 @@
 #	--enable-wgetch-events
 #	--enable-widec
 #	--verbose
+#	--with-broken-linker
 #	--with-pthread
 #	--with-shared
 #	--with-termlib
@@ -85,6 +86,7 @@
 _nc_free_termtype
 _nc_free_tic
 _nc_free_tinfo
+_nc_freeall
 _nc_get_alias_table
 _nc_get_hash_table
 _nc_get_locale
Index: package/ncursesw.map
Prereq:  1.24 
--- ncurses-5.9-20141227+/package/ncursesw.map	2014-12-27 17:31:31.000000000 +0000
+++ ncurses-5.9-20150103/package/ncursesw.map	2015-01-03 23:22:57.000000000 +0000
@@ -1,8 +1,8 @@
-# $Id: ncursesw.map,v 1.24 2014/12/27 17:31:31 tom Exp $
+# $Id: ncursesw.map,v 1.27 2015/01/03 23:22:57 tom Exp $
 # script for shared library symbol-versioning using ld
 #
 # This file was generated by ncu-mapsyms
-# Configure options (merged 5 builds):
+# Configure options (merged 7 builds):
 #	'CFLAGS=-O'
 #	--disable-echo
 #	--disable-getcap
@@ -20,6 +20,7 @@
 #	--enable-wgetch-events
 #	--enable-widec
 #	--verbose
+#	--with-broken-linker
 #	--with-shared
 #	--with-termlib
 #	--with-ticlib
@@ -113,6 +114,7 @@
 		_nc_free_entries;
 		_nc_free_termtype;
 		_nc_free_tparm;
+		_nc_freeall;
 		_nc_get_hash_table;
 		_nc_get_table;
 		_nc_get_tty_mode;
@@ -869,7 +871,6 @@
 		_nc_background;
 		_nc_do_color;
 		_nc_expanded;
-		_nc_freeall;
 		_nc_freewin;
 		_nc_has_mouse;
 		_nc_hash_map;
Index: package/ncursesw.sym
Prereq:  1.14 
--- ncurses-5.9-20141227+/package/ncursesw.sym	2014-12-13 18:41:11.000000000 +0000
+++ ncurses-5.9-20150103/package/ncursesw.sym	2015-01-03 23:11:10.000000000 +0000
@@ -1,8 +1,8 @@
-# $Id: ncursesw.sym,v 1.14 2014/12/13 18:41:11 tom Exp $
+# $Id: ncursesw.sym,v 1.16 2015/01/03 23:11:10 tom Exp $
 # script for shared library symbol-visibility using libtool
 #
 # This file was generated by ncu-mapsyms
-# Configure options (merged 5 builds):
+# Configure options (merged 7 builds):
 #	'CFLAGS=-O'
 #	--disable-echo
 #	--disable-getcap
@@ -20,6 +20,7 @@
 #	--enable-wgetch-events
 #	--enable-widec
 #	--verbose
+#	--with-broken-linker
 #	--with-shared
 #	--with-termlib
 #	--with-ticlib
@@ -80,6 +81,7 @@
 _nc_free_tic
 _nc_free_tinfo
 _nc_free_tparm
+_nc_freeall
 _nc_get_alias_table
 _nc_get_hash_table
 _nc_get_locale
